SAPphone (BC-SRV-COM)

Purpose

SAPphone integrates telephony functions in SAP applications. This allows data to be exchanged between computer and telephone processes. The telephone functions can be used from the graphical user interface of the SAP applications and are supplied with data from the SAP System.

Users can select a person directly in an SAP application and establish the telephone connection. When an inbound call is received, the system either displays the caller data or launches a predefined SAP application. During a call, users can enter notes or edit tasks in an SAP Application.

The objective of SAPphone is to merge telephone and onscreen work, thereby integrating telephony more closely in day-to-day activities. SAPphone is intended for both office staff and telephone support staff in call centers.

Integration

As a Basis component, SAPphone is designed to be used as a cross-application module. SAPphone functions are part of generic object services, which means that they can be called in all applications that support these services.

It is possible to integrate telephony further in transactions, reports and workflow processes of applications. This enables data to be transferred automatically between the applications and the SAPphone functions. The following areas directly support outbound calls:

  • Controlling (head of cost center)
  • Application management (applicants and employees)
  • Support for Sales and Distribution (contacts and visitors)
  • Foreign trade (export licensors)
  • SAP Retail (suppliers)
  • Money market and foreign exchange (parties to contracts)
  • Real estate management (business partners)
  • SAP Business Workflow (enhanced user decision and integration of the Initiate call step as a work item in the workflow)
  • Business Workplace (sender and creator of message)
  • EDI (persons responsible for and parties to IDocs)

The following areas directly support outbound and inbound calls:

  • Service Management (parties to service messages)
  • Inventory Management (parties to Inventory Management messages)
  • Quality Management (parties to quality messages)
  • Treasury Management (business partners)

Sales and Distribution support also supports Predictive Dialing for telephone campaigns.

Features

Basic Functions

SAPphone allows users to perform telephone functions by clicking the mouse. The following telephone functions are supported by SAPphone:

  • Initiate call
  • Receive call
  • Terminate call
  • Transfer
  • Put call on hold
  • Conference calls

The importance of integration between SAP applications and telephone processes is illustrated by the following functions:

  • Caller identification for inbound calls
  • Automatic launch of an application when an inbound call is received
  • Display of caller data
  • Linking of notes to calls
  • Provision of caller information stored in the SAP System
  • Storage of data on unanswered calls with callback function
  • Attachment of calls to documents, work items and business objects
  • Integration of calls in SAP Business Workflow
  • Use of telephone calls to start workflows.

If you use Outlook integration, you can also execute the callback function in Microsoft Outlook. For information on the callback form , see the documentation on the SAP MAPI Service Provider . The function Initiate call is also integrated in Easy Web Transactions .

Call Center Functions

The following functions for connecting to call center systems are supported via the Customer Interaction Center (CIC).

  • Telephony control and work modes (for example, registering in and deregistering from a queue)
  • Support of predictive dialing for efficient processing of lists of telephone numbers (for example, when conducting a telephone campaign).


Telephone Integration with SAPphone

This telephony solution comprises three distinct layers - the SAP application, SAPphone, and the telephone system itself. The SAP System encompasses the SAP applications and SAPphone and is linked to the external telephone system by the standard TAPI or SAPphone RFC interface. SAPphone manages communication between the SAP System and the telephone system in order to allow data exchange between telephone and computer processes.

  1. SAP application: Access to the telephony functions

    2. The SAP applications supply data to SAPphone, for example, when a call is initiated with the telephone number, country code, name and company of the call recipient. Conversely, the SAP applications receive data on inbound calls from SAPphone for further processing.

  2. SAPphone: Connection to the external telephone system, administration

    3. SAPphone features a user interface for executing telephony functions, and transactions used to define the necessary settings and Customizing options for telephone integration in the SAP System.

  3. Telephone system: External hardware and software (telephone, drivers, PBXs, and so on).

Outside the SAP System, telephony hardware and software is required to control the telephones, and connection software between the SAP System and the telephone system is also needed.

The components can be installed in different ways:

  • Centrally on a telephony server
  • Decentrally in a client-server model
  • Locally on the work center.


Central Architecture

The features of a central architecture are:

  • No telephony hardware or software is installed on the work center
  • Direct communication between telephony server and R/3 System.

The external telephony software is connected to the SAP System either via the SAP RFC interface or via the TAPI and the SAPphone server.

The disadvantage of central architecture is that incoming messages are not displayed in the SAPphone window directly. This is due to the fact that direct communication between work center and telephony software is not possible. Users first receive an express message about an inbound call. They can then open the SAPphone window from this dialog box.


Client-Server Architecture

The features of a client-server architecture are:

  • Connection between PBX and work center via a telephony server
  • Extension of work center to include parts of the telephony software (for example, SAPphone server); no hardware enhancements for the work center.

The external telephony software is connected to the R/3 System either via the SAP RFC interface or via the TAPI and the SAPphone server.

The graphics show the connection via the SAP RFC interface. For information on the connection via TAPI and the SAPphone Server, see Architecture of the Telephony Connection .

Client-server architecture when a provider component is used that is not network compatible:

Client-server architecture when a network-compatible provider component is used:


Local Architecture

The features of a local architecture are:

  • Direct link between work center and main line or PBX (for example, via the telephone, modem or telephone card)
  • Extension of each work center to include software and hardware for the telephone system.

The external telephony software is linked to the R/3 System either via the SAP RFC interface or via the TAPI and SAPphone server.


Interfaces for the Administration of SAPphone

The administration of SAPphone is subdivided into several areas. The following sections provide an overview of which functions are available in which areas.

System Administration (Transaction SPHB)

The functions for starting and monitoring the telephony environment are available here to system administrators:

Extended Settings (Transaction SPHA)

Here, the telephony functions can be tested and the work center settings and user settings can be maintained individually or centrally:

System administrators must assign the appropriate authorizations to the users who are responsible for maintaining the work center and user settings centrally.

Settings via the SAPphone Interface (Transaction SPHS)

All users can maintain their own settings here:

How users can call the interface is described in The SAPphone Interface .

Users use the SAPphone interface to access the telephony functions. Changes made during existing telephone calls are displayed immediately.


Planning Telephone Integration

You need to consider your telephony environment before starting telephone integration. The following questions are intended to help you to adapt your telephony environment to meet the requirements of your enterprise.

Which sites are to be equipped with telephone integration?

In SAPphone, a site represents a physical company site, that is, the area with a common area code and general prefix.

How many telephony servers are required?

Every instance of the external telephony software (the connection software between the SAP System and the telephone system) must be represented by a telephony server in the SAP System. You require at least one telephony server (one instance of the telephony software) for every site, SAP System and client in which telephone integration is to be used.

Which number conversion rules are required?

The rules depend on the technical requirements of the telephony software and the local conditions. The number conversion rules convert telephone numbers into the form expected by the receiving system when they are transferred between the SAP System and the telephony software.

For more information, see Sites and Telephony Servers and Number Conversion Rules .

How is the work center to be identified so that a computer can be found using the telephone number?

The technical solution depends, for example, on whether the telephony functions are also to be used from the Web browser.

For more information, see Work Center Identification .

Are there user groups with different requirements?

Which applications are to be started in connection with a call?

Which address data areas are required?

The tasks that are required depend on the user group. For example, sales employees will create purchase orders and service employees will create service notifications. The address data areas that are searched for caller data when an inbound call is received also depend on the user group. The address data area searched is normally the central address management, however some applications store their addresses in separate data areas.

You can create templates for the settings of each user group. The user groups then only have to assign this template to themselves. You can use the settings to define how inbound calls are to be handled (for example, display caller data or start an application directly). You can join user groups together in deflect groups. These groups enable calls that have not been accepted by users themselves to be transferred manually.

If the settings are to be changed later, this can be done either centrally by system administrators or by the users themselves. To reduce the need to adapt the settings to meet the requirements of individual user groups, you can also assign authorization for central maintenance to certain users.

For more information, see Work Center Settings and User Settings , Integrating SAP Applications and Telephone Work and Authorizations for SAPphone Activities .

To what degree are extensions to be protected?

You can implement extension protection according to the degree of autonomy of the employees in your enterprise. You either allow all users to assign themselves all extension numbers and, if necessary, protect particularly sensitive numbers or you disallow all numbers and allow the users of a site to assign themselves specific numbers only.


Sites and Telephony Servers

Site

A site contains the telephony servers of a connection. The generic telephone number of the connection (<country> <local area code> <general prefix> <number of digits in extension number>) is assigned to the site. Extension number protection is also carried out at this level. The attributes of a site apply to all the telephony servers in a site.

Telephony server

A telephony server contains all extensions that are connected to the SAP System via the same access (for example, an instance of the SAPphone server). It is a logical unit that contains the settings that are required for the connection between the SAP System and the external telephony software.

The telephony server assigned in the SAP System does not have to be an actual physical telephony server. It simply represents the external telephony software that is installed on a server (centrally), on each work center (locally), or distributed among the two (client-server) and which connects the SAP System with the telephone system. The communication process between SAP applications, work centers, telephony servers and the telephone system depends on the telephone integration architecture .

Work center

A work center consists of a computer, a telephone and a permanent user. Other users (for example, substitutes or temporary help) can use the work center temporarily. The connection between the computer and telephone (extension) runs via a telephony server.

More Information

For information on how to create a site, see Creating Sites .

For information on how to create a telephony server, see Creating and Maintaining Telephony Servers .


Number Conversion Rules

Use

The telephone numbers that a user or an application transfers to SAPphone or expects from SAPphone cannot always be transferred to the telephone system unchanged. For example, the telephone number of an internal user is transferred from the address management complete with area code and general prefix, but the telephone only expects the extension.

Conversely, inbound telephone numbers from the telephone system are not always transferred to SAPphone in the form it requires to find the corresponding work center. To find the work center, SAPphone requires either the extension (if the server name is specified directly) or number prefix and extension (if the telephony server has to be determined using the number prefix of the site).

  • You can define number conversion rules for the necessary changes. The telephone numbers can then be adjusted to the local and technical requirements of the telephony system.

The number conversion rules comprise the following specifications:

  • Replaced number
  • Replacement number
  • Note

For example, if you specify 0 as the replaced number and 00 as the replacement number, the number 06227/747 is changed to 006227/747.

Activities

You create the rules for inbound and outbound calls separately: In the case of inbound calls, the called numbers are defined in Customizing , whereas in the case of outbound calls, the dialed numbers are defined when the telephony server is created or changed. Note the following regarding the rules for outbound calls:

If the server does support numbers in canonical format (e.g. +49 (271) 324), you only have to define number conversion rules which apply to internal numbers for outbound calls.

If the server does not support numbers in canonical format but instead supports numbers in sequence (e.g. 12378456), you must define number conversion rules which apply to internal, local, national, and international numbers for outbound calls.

Number Conversion Rules for Outbound Calls

For a server that supports numbers in canonical format, is located in the USA and has the number prefix 708/47:

Replaced number | Replacement number | Note
+1 (708) 47 |  | Internal calls

For a server that does not support numbers in canonical format, is located in Germany and has the number prefix 06227/12:

Replaced number | Replacement number | Note
0622712 |  | Internal calls
06227 | 0 | Local call with digit inserted for obtaining external national line (digit 0)
00 | 900 | International call with international prefix 00 and digit inserted for obtaining external international line (digit 9)
0 | 00 | National call with national prefix 0 and digit inserted for obtaining external national line (digit 0)

If the number for obtaining an external line is identical for national and international calls (for example, 0), one number conversion rule is sufficient for both.


Work Center Identification

Use

To execute telephony functions, the system has to recognize the connection between a computer and the corresponding telephone, that is, the work center has to be identifiable. The type of work center identification depends on the GUI used. The following options exist:

  • Identification by registry entry
  • Identification by host name of computer
  • Identification by user
  • Temporary identification by logon (session)

Ideally, identification by registry entry or identification by host name is used. If this is the case, when a work center is created, either a SAPphone work center ID is stored in the registry of the relevant PC or the unique host name of the computer is stored in the SAP System. However, neither of these identification types can be used with all GUIs.

Due to the permanent user-work center relationship, only choose identification by user if employees work at fixed work centers. If you choose temporary identification by logon, different users can use your work center but they have to create the work center again (that is, specify the telephony server and telephone number) each time they execute a new logon.

Activities

You set work center identification in the SAP Implementation Guide by choosing Basis ® Basis Services ® Communication Interfaces ® SAPphone: Client-Wide Settings ® Activate Telephony/Choose Work Center Identification.

The settings for work center identification should not be changed when the system is in operation because the work center settings would no longer be found automatically. The work centers would have to be created again.

Choose which type of identification is to be used for which GUI. The following prerequisites apply:

Type of identification | Prerequisites | Possible Platforms
Identification by registry entry | The SAP GUI is installed locally on every work center. All computers have a 32-bit Windows operating system. The users who create the work center have authorization to write in the registry of the relevant computer. | Win GUI on PC
Identification by host name | The host names of the computers are unique in the system. | Win GUI on PC, Java GUI, Web GUI
Identification by user | The users of the work centers always execute the telephone functions on the same work center. | All
Temporary identification by logon (session) | The work center settings have to be maintained again each time you log on to a work center before the telephony functions can be used. | All


Work Center Settings and User Settings

Use

The settings for a work center have to be maintained in SAPphone before the telephony functions can be executed on this work center. The work center settings contain the attributes of the computer and the telephone. SAPphone works on the basis that a constant relationship exists between these two components. A user can work at different work centers. Inbound calls are treated in the same way (in accordance with the user settings) everywhere, irrespective of the current work center.

Work Center Settings

A SAPphone work center is described in the work center settings by the following attributes:

  • Work center ID and type of work center identification
  • Telephone number
  • Telephony server
  • User responsible
  • Current user
  • Host name of computer

SAPphone generates an ID when a work center is first created. If the recommended types of identification are used, the work center is identified either by the ID stored in the registry of the computer or by the host name of the computer.

The user responsible can change the work center settings. Users can also work at a work center to which they are not assigned as the user responsible. When they log on, they are entered as the current user by the system but they cannot change the work center settings.

User Settings

Your user settings determine how your inbound calls are handled. For example, the caller data can be displayed or a specified task can be started directly. Users can be notified of unanswered calls in the Business Workplace .

The agent ID and password are also stored in the user settings. Users require this data to log on to a queue in a call center environment.

Activities

The work center settings have to be maintained for a work center before the telephony functions can be used on this work center. These settings have to be made on the computer that belongs to this work center. Therefore, the employee who works on the computer normally makes the settings. Theoretically, employees can assign themselves any extension. Therefore, SAPphone provides functions for protecting extension numbers .

In contrast, the maintenance of user settings is optional. Each user is first assigned the standard settings or the template settings configured by administrators. For information on how to maintain the settings, see Maintaining the Work Center Settings and User Settings .


Integrating SAP Applications and Telephone Work

Use

The main advantages of telephone integration in the SAP System come from the fact that the telephone activities are connected with the business processes represented in the SAP System. The information obtained from the calls is directly available in the SAP System and can be processed further. For example, the task Create purchase order can be started directly for employees in telesales when an inbound call is received. If caller data exists, this is automatically entered in the order form. Employees with variable tasks can first display the caller data with a task list and then start an application from this list by double-clicking.

Integration

Tasks that are displayed to the user for selection must fulfill the following criteria:

  • The task is suitable for inbound or outbound calls
  • The user has the required authorization to execute the task.

These tasks are displayed to the user for selection in the SAPphone window. The SAPphone window can be open continually in parallel to the main window during work in the SAP System. When an inbound call is received, the window is started automatically, provided that this is set in the user settings. Alternatively, each user can set one task that is started automatically when an inbound call is received. This task must also fulfill the above criteria.

Activities

For information on how system administrators maintain tasks, see Displaying and Maintaining Tasks Suitable for SAPphone .

For information on how users can start applications, see Starting an Application for a Call .


Setting Up Telephone Integration

Purpose

Various settings must be made in SAPphone to enable communication to occur between the SAP System and the telephone system.

Prerequisites

The following components must be installed:

  • Telephony hardware (for example, telephone exchange, or telephony server for a central or client-server installation)
  • Telephony software (for example, from the manufacturer of the telephone system or a third-party product)
  • SAPphone server (for the connection via TAPI)

The RFC connection between the SAP System and the SAPphone server (or the self-programmed gateway software) must be configured. The following settings must be made for this:

  • RFC destination for outbound calls (transaction SM59)
  • RFC destination for inbound calls (in the Saprfc.ini or the gateway software)

For more information on the RFC connection, see Displaying, Maintaining and Testing Destinations and The SAPRFC.INI File .

Process Flow

Function

Transaction

Description

  1. Execute Customizing

SPRO or SCOT

Customizing for SAPphone is carried out in the SAP Implementation Guide under Basis -> Basis services -> Communication interfaces -> SAPphone. You can change the settings in SAPphone system administration (SPHB). To do this, choose one of the following functions under the menu option Settings:

  • Telephony active / Work center ID: Here you can activate telephone integration for the current clients. The dialing functions are only shown in the applications if telephone integration is active. Also decide how the telephone work centers are to be identified in your system. See Work Center Identification .
  • Number conversion inbox: You can change the number conversion rules for inbound calls here.
  • Define address areas: Here you can maintain the address data areas in which the caller's master data record is searched for. This is normally the central address management. However, some applications store their address data in separate database areas.
  1. Create a site

SPHB

Creating a Site

  1. Create telephony servers

SPHB

See Creating and Maintaining a Telephony Server

  1. Create deflect groups

SPHB

Make this setting if users are to use the function Deflect. For more information, see Call Deflection .

  1. Create extension number protection

SPHB

Make this setting if you want to protect telephone numbers against misuse. For more information, see Extension Number Protection .

  1. Create a template for user settings

SPHA or SPHB

Make this setting if you want to create default settings for the user settings for various user groups (for example, whether and which applications are to be started for inbound calls). For more information, see Creating Templates for User Settings .

  1. Create work centers

SPHA

See Creating and Maintaining a Work Center Individually

  1. Test the settings

SPHA/SPHB/SPHS/SPHT

See Testing Settings

Result

Users can now start working with SAPphone . Tools are available to system administrators for monitoring the telephony environment and for error analysis .


Authorizations for SAPphone Activities

Roles

The execution of SAPphone settings is controlled by authorizations. The authorizations are assigned to users through the assignment of roles. SAP supplies two roles that authorize users to perform SAPphone activities:

  • A role that contains the authorizations for users of the telephony functions, including the maintenance of their own settings:

SAP_BC_SRV_GBT_USER
  • Roles that contain the authorizations for the administration of the telephony landscape:

SAP_BC_SRV_GBT_ADMIN

SAP_BC_SRV_COM_ADMIN

If none of these roles are assigned to users, they can still execute telephony functions, such as initiating and accepting calls. However, they cannot maintain their own settings themselves. To execute tasks, application-specific authorizations that are not contained in the Basis roles are required.

Authorizations

The authorizations for the SAPphone settings can be graded for different task areas:

Task | Authorization object | Values
System administration (is contained in the role SAP_BC_SRV_COM_ADMIN, for example) | S_TCODE | SPHA, SPHB, SPHD
 | S_TABU_DIS | SPHA, SPHO, SCOM
Central maintenance of work center settings and user settings | S_TCODE | SPHA, SPHD
 | S_TABU_DIS | SPHA, SPHO
Maintenance of own work center settings and user settings (is contained in the role SAP_BC_SRV_OFC_USER) | S_TCODE | SPHA, SPHD
 | S_TABU_DIS | SPHO

In addition to the role SAP_BC_SRV_OFC_USER, you can also assign the profile to the users who are to be authorized to maintain work center settings and user settings centrally. For information on the authorization concept of the SAP System and on role maintenance, see the documentation on Users and Roles .


Creating a Site

Use

You must create one site per client for each company site in which telephone integration is to be used. It is not possible to create telephony servers until the site has been created.

In the navigation tree of SAPphone system administration, sites form directories to which the telephony server and protected extension numbers are assigned. They are displayed in the following format:

<Name of site> <Local area code and general prefix of the site>

for example, [image] Walldorf 06227/7.

Procedure

  1. Call SAPphone system administration (transaction SPHB).
  2. In the navigation structure, select [image] Sites by double-clicking on it.
  3. In the detailed view, specify the name and the generic telephone number of the site.
  4. Choose [image] in the detailed view.


Extension Number Protection

Use

Users can maintain the extension number of each work center. The system does not check whether the number is actually that of the telephone belonging to the work center. If users assign themselves the number of a different telephone, calls directed to this number are not put through to their telephones but these users can display the call data on their screens. To prevent users from assigning themselves a sensitive telephone number (that of a superior, for example), administrators can protect extension numbers. The following options exist:

  • All extension numbers are allowed. Certain numbers are disallowed for all users, with the exception of certain users.

Example: Sales and distribution department

Telephone integration is created for the sales and distribution department of a company. It is wise to prevent users from assigning themselves the telephone number of the sales director. The sales director has user name Meier and extension 4343.
  • All extension numbers are disallowed. Certain numbers are allowed for specific users.

Example: Telemarketing

Telephone integration is created for a group of two employees and 20 temporary employees for telemarketing. The employees Becker and Klein have their own work centers with telephone numbers 1818 and 1919. Four work centers with the numbers 2323, 2424, 2525 and 2626 are available for the temporary employees. You want the temporary employees to be able to assign themselves any one of these four numbers but to be prevented from assigning themselves another telephone number.

Process Flow

Extension number protection is defined for each site and then applies to all telephony servers assigned to the site. The standard setting allows all numbers for all users. You can restrict the authorizations by performing the following steps:

Step

Description

  1. Define rule

Allow or disallow all (other) numbers for all users

  1. Define general exceptions

Exclude individual numbers from the rule (disallow or allow them for all users)

  1. Define user-specific exceptions

Allow numbers for certain users only

SAPphone provides a search function for checking existing extension number protection. This enables the extension number authorizations to be queried for each user or for each telephony server.

For more information, see Creating and Maintaining Extension Number Protection and Querying Extension Number Protection .


Creating and Maintaining Extension Number Protection

  1. Call SAPphone system administration (transaction SPHB).
  2. Expand the navigation tree under the site for which you want to create the extension number protection.
  3. Specify the rule.
    1. Double-click on [image] All other numbers.
    2. Select Allowed or Disallowed.
    3. Choose [image].
  4. If necessary, specify exceptions to this rule.
    1. In the frame Exceptions to this rule, specify the numbers that you want to exclude from your rule.
    2. Choose [image].
  5. If necessary, specify user-related rules. Create number/user groups. Such groups contain numbers that are only allowed for the users listed in the group. You create a group as follows:
    1. Double-click on [image] Number/user group.
    2. Specify a name for the group.
    3. List the numbers to be protected and the users that are allowed to use these numbers.
    4. Choose [image].

The following graphics show the settings using example scenarios.

Example: Sales and distribution department:

Telephone integration is created for the sales and distribution department of a company. It is wise to prevent users from assigning themselves the telephone number of the sales director. The sales director has user name Meier and extension 4343.

Example: Telemarketing:

Telephone integration is created for a group of two employees and 20 assistants for telemarketing. The employees Becker and Klein have their own work centers with telephone numbers 1818 and 1919. Four work centers with the numbers 2323, 2424, 2525 and 2626 are available for the assistants. You want the assistants to be able to assign themselves any one of these four numbers but to be prevented from assigning themselves another telephone number.

To change a group, double-click on [image] <Group name> in the navigation tree.


Querying Extension Number Protection

Use

You can use this function to execute the following type of queries:

  • Who can assign themselves the extension number C in site A or using the telephony server AB?
  • Which extension numbers can user D assign himself in site A or using telephony server AB?

The protection specified for the site applies to the telephony servers contained in the site.

Procedure

  1. Call SAPphone system administration (SPHB).
  2. Choose Utilities ® Extension numbers: Query maintenance authorizations.
  3. Specify a site or a telephony server.
  4. Specify an extension or a user.
  5. Choose [image].

Result

If you query the authorizations for a user, you receive the following information:

  • Extension numbers contained in a number/user group that are disallowed for the user
  • The number/user groups in which the user is not contained
  • If all other numbers are allowed for all users:

the numbers disallowed for all users (therefore disallowed for the user)
  • If all other numbers are disallowed for all users:

the numbers allowed for all users (therefore allowed for the user).

If you query the authorizations for an extension, you receive information as to whether the number is allowed for all users, disallowed for all users or only allowed for users in a number/user group.


Creating and Maintaining a Telephony Server

Use

A telephony server must be created and ready for operation in order to enable communication to take place between the SAP System and the telephone system. You must assign information to each server for access to the external telephony software and to its attributes.

Procedure

  1. Call SAPphone system administration (SPHB).
  2. Choose one of the following functions:
Function | Action | Description
Create server | Double-click on Server | A wizard guides you through the creation process.
Display/Change server | Select <Server name> and choose [image] or | An overview of the server attributes is displayed. You can change them if necessary.
Copy server | Select <Server name> and choose | Specify a name for the copy.
Rename server | Select <Server name> and choose | Specify a new name.
Delete server | Select <Server name> and choose | The server, and all its attributes, is deleted.
  1. Maintain the following settings when you create or change a telephony server:

Name

Description

Example

Server

Telephony server ID (maximum 6 characters), defined by user

SERV1

Description

Description of the telephony server

Choose a description that helps the users to select the most suitable telephony server when they create their work center. You can maintain the description language-dependently so that users receive it in their logon language. To do this, choose the tab page Language-dependent description.

Central server

Site

Country code for the location of the corresponding PBX.

DE

Local server

Specification as to whether the telephony software is installed on the local work center.

One entry can cover several work centers with identical attributes.

RFC destination

RFC destination that links to the external telephony software.

SAPPHONE

Number conversion for outbound calls

Number conversion rules with the following number sequences:

  • The part of the telephone number to be deleted
  • The part that is to replace the deleted part

You can also add a description of the rule.

Replaced number
06227

Replacement number
0

Comment
local network

Server is ready

Specification as to whether the connection to the telephone system can be used using this server (a connection test must be performed before the server can be used)

You can deselect this in the event of a server failure so that users receive the appropriate error message when they call a telephony function.

X

Operation type

  • Dialog
  • Background

Specification as to whether the telephony server is used for dialog processing only or whether it is also used for background processing.

The standard setting is Dialog. If a telephony server, for example in predictive dialing, is to transfer lists of telephone numbers to the telephone system at night, the server must be batch-compatible.

Each client can contain a maximum of one telephony server with a background indicator.

Dialog

Only select the following functions if they are supported by the external connection software that the telephony server represents.

Name

Description

Example

Can. numbers

Specification as to whether PBX can process numbers in canonical format (for example, +49 (6227) 474-3456).

If the PBX cannot process numbers in canonical format, the number is transferred as one sequence of numbers.

X

Server is to be monitored by the alert monitor

Specification as to whether the functions of the alert monitor for SAPconnect and SAPphone can be used for this server.

X

Server supports connection test, status, trace

Specification as to whether the functions for querying the operating status and setting the external trace can be used for this server.

If you select this attribute, you have to perform a connection test .

X

Version of server software

Information about the version of the external telephony software.

This information is entered automatically after a connection test has been carried out.

3.45A

Functions

  • Telephony
  • Dialer
  • Statistics

Specification as to which telephony server functions can be used:

  • For the telephony functions of office and call center employees (for example, dial, hang up, initiate conference call)
  • For predictive dialing (for example, downloading call lists to a dialer, or modifying or deleting list entries)
  • For calling statistical data from the external CTI system

Telephony

  1. Save your entries.

Result

All telephony servers created, and the work centers assigned to them, are displayed in the navigation tree of SAPphone system administration under the sites. You can display more information about the server in this overview (for example, number of work centers assigned, RFC destination, or information as to which server can be used for a specific function, such as statistics).


Example of Telephony Server Settings

Both PBXs (PBX1 and PBX2), which are located in different sites, exist in a telephony environment:

 | PBX1 | PBX2
Site name | USA | Germany
Number prefix | 708/947 | 06227/12
Country | US | DE
Extension length | 4 | 4

Telephone integration is implemented in a central architecture. The entries SERV1 to SERV3 each describe physical telephony servers with their attributes and RFC destination. Local work center solutions, in which the telephone is connected directly to the computer, are also present. The entries LOCAL1 and LOCAL2 summarize the settings for several work centers. The graphic provides an overview of the existing telephony servers.


Connection Test

Use

The connection test checks the compatibility of the versions of the SAPphone interface and the external telephony software. The first character of the version number is used as the criterion. The SAPphone interface 5.02A, which is delivered with R/3 Release 4.6C, can be used with software versions from 3X to 5X, for example. However, not all the functions of the new SAPphone version can be used with older versions, such as 3.1. Therefore, at the beginning of a called function SAPphone decides, using the external software version, whether the function is executed. This concept ensures the upward compatibility of the new SAPphone versions.

Prerequisites

The RFC connection to the external software must be configured.

Activities

Perform the connection test when you create or change a telephony server. To do this, choose Connection test in the node display. If the test was successful, the version and information about the compatibility are output.


Displaying and Maintaining Tasks Suitable for SAPphone

Use

For tasks to be started in SAPphone, they must be marked as suitable for SAPphone. This attribute is assigned to the tasks in their definitions. SAPphone supports individual tasks as well as multistep tasks. You can find more information about tasks in the documentation: BC - Organizational Management and BC - SAP Business Workflow.

In system administration, SAPphone provides a view of all tasks suitable for inbound and/or outbound calls. From this view, you can go to task maintenance in order to display the task attributes, to change the tasks or to create new tasks.

See also Integration of SAP Applications and Telephone Work .

Procedure

  1. Call SAPphone system administration (SPHB).

    2. Tasks that can be started for inbound or outbound calls are displayed in the navigation tree under Tasks suitable for SAPphone.

  2. Choose one of the following functions:

Function

Start

Description

Display task

Double-click on

<Task ID><Description>

The task definition is displayed. From the SAPphone tab page, you can find information about the telephony attributes of the task.

Add task

Double-click on

Tasks suitable for SAPphone

  1. Enter search criteria on the tab page Task in the subsequent dialog box.
  2. Choose [image] Start search.
  3. Select a task from the hit list by double-clicking.
  4. Choose [image].
  5. Under SAPphone Attribute, select the required option.
  6. Choose [image].

Create task

Settings ® Tasks ® Create

Proceed as described in Creating and Maintaining Tasks .

If a task is not listed, despite the fact that the prerequisite for the display is fulfilled (authorization and SAPphone suitability), refresh the organizational environment. To do this, choose Settings ® Tasks ® Refresh organizational environment.


Creating a Template for User Settings

Use

Templates facilitate the maintenance of user settings. A template can be created for users who perform the same tasks. This template can then be assigned to this user group centrally.

Procedure

  1. In SAPphone system administration (SPHB), double-click on [image] Template for user settings.

You can also maintain the template in SAPphone administration (SPHA) Choose Goto ® Template.
  2. Specify a name for the template.
  3. Specify the user settings.
  4. Choose [image].

To change a template, double-click on [image] <Template name> in the navigation tree.

To delete a template, select [image] <Template name> in the navigation tree and choose [image].

Result

The template is created. You can now assign these template settings directly to the individual users.

  1. Choose [image] Create user.
  2. Specify the user name.
  3. Choose [image].

It is also possible to assign the template settings to users

  • when the fast entry function is used for user settings
  • when the creation of the work center settings via mail is prepared.


Call Deflection

Purpose

Employees can transfer inbound calls directly to another telephone number without accepting the calls themselves. This Deflect function is used, for example, if several employees have the same telephone tasks. In this case, it is often not necessary, or even desired, for inbound calls to be accepted first in order for them to be transferred.

This function is only useful if users can also process the calls transferred to them without consult. Therefore, groups can be created that group together work centers in deflect groups. These groups are created by system administrators and assigned to the users in the user settings.

Process Flow

  1. Allow numbers for deflecting
  2. Create groups that group together a selection of the numbers in deflect groups.
  3. Assign a group to users

For more information on the procedure, see Creating Deflect Numbers and Deflect Groups .

Result

If users want to execute the function Deflect, you receive a list of the numbers that they are allowed for selection.


Creating Deflect Numbers and Deflect Groups

  1. Call SAPphone system administration (SPHB).
  2. Expand the navigation tree under Deflect call.
  3. To deflect a call, you have to execute the following functions:

Allow numbers for deflecting

    1. Select Numbers in the navigation tree by double-clicking on it.
    2. Choose [image].
    3. Specify a telephone number (in the case of internal numbers only specify the extension number) with country code.
    4. Specify a language-dependent description.

      5. The telephone numbers for deflecting will be displayed to users for selection under this description later.

      The country code in the telephone number must not be the same as the country code for the description.

    5. Choose [image].
    6. Repeat steps 4 to 7 for all numbers that you want to create.
    7. Choose [image].

Create groups that group together deflect numbers for a user group

    1. Select Groups in the navigation tree by double-clicking on it.
    2. Choose [image].
    3. Specify a name for the group.
    4. Select the numbers that are to be assigned to the group.
    5. Choose [image].
    6. The groups are displayed to the users for selection in the user settings under the specified name. If you want to maintain the names language-dependently, proceed as follows:
      1. Select the group.
      2. Choose Language-dependent description.
      3. Specify a language-dependent description.
      4. Choose [image].
    1. Choose [image].

Assign a group to users

This is carried out either centrally or by the users themselves when the user settings are maintained .


Maintaining Work Center Settings and User Settings

Use

How and by whom the work center settings and user settings can be maintained is described in this section. Users can make their own settings themselves or the settings can be maintained centrally (except for the creation of work centers).

A work center can only be created for the computer on which the procedure is carried out, as the SAPphone work center ID is stored locally. However, you can configure the system so that the individual user only needs to specify their telephone number in order to create the work center.

The table gives an overview of the functions available for creating and maintaining the settings:

Function | Description | Procedure
Template settings | Templates for user settings You can use them to prepare the user settings for various user groups and then assign these settings to the users. | Creating Templates for User Settings
Central preparation for individual creation | This function reduces the amount of administration for the individual users. Users receive a mail, execute it and specify their telephone number and the telephony server. For more information, see Maintaining Settings Centrally . | Maintaining (Creating) Settings Centrally
Individual creation of work center | Users call the function for creating their work center and make all the settings themselves. | Creating and Maintaining Work Centers
Individual maintenance of user settings | Users call the function for maintaining user settings and maintain them themselves. | Maintaining User Settings
Central changing of settings | Administrators can change the settings for telephone integration centrally for individual users and work centers or for several users and work centers simultaneously. | Maintaining (Changing) Settings Centrally


Maintaining (Creating) Settings Centrally

Use

To reduce the amount of administration for individual users, you can prepare settings centrally for a group of users. To do this, you send the user group objects that contain a template for the user settings and a telephony server. The users then only have to enter their own extension.

Prerequisites

The telephony servers are created. In the corresponding site, you have protected sensitive extensions against misuse, if necessary.

The users have authorization for the Business Workplace inbox.

If the standard settings are not to be assigned to the users, the template for the user settings has to be created.

Procedure

  1. Call the Business Workplace (SBWP).
  2. Select a folder, for example your outbox, by double-clicking on it in the tree structure.
  3. In the folder contents list, choose Create more in the list field for [image].

    4. You go to the document maintenance screen on the tab page Attributes.

  4. You can specify a title.
  5. Enter OBJ in the field Document class.
  6. Call the tab page Document content.

    7. A dialog box with the available object types is displayed.

  7. Select the object SAPphone administration by double-clicking on it.
  8. In the subsequent dialog box, specify a template for the user settings and a telephony server.
  9. Choose [image].

    10. You return to the Business Workplace.

  10. Position the cursor on the object in the folder contents list.
  11. Choose [image].
  12. In the following dialog box, specify the recipients .

You can specify a distribution list as a recipient. For example, if you wish to create work centers for an entire department, the appropriate distribution list usually exists already. You can also choose an existing distribution list, expand the entries on the send screen and delete the recipients who are not to receive the document.
  12. If you want to inform the recipients about the function of the object, choose [image] Note and enter a text.
  13. Choose [image].

Result

When the object is called, users are asked to enter their telephone number. When users have specified and confirmed their telephone number, their current work center is created as a SAPphone work center. The work center settings and template settings are assigned to the user.


Maintaining (Changing) Settings Centrally

Use

The work center settings and user settings can be changed centrally. The same changes for a user group, for example, can be maintained simultaneously using these programs. This reduces the amount of work for individual users. Furthermore, the user responsible for a work center can be changed centrally or work centers can be deleted.

One telephony server has been shut down. To enable users who are assigned to this telephony server to continue working with SAPphone, the users can be assigned centrally to a replacement server.

Prerequisites

You have authorization to maintain work center settings and user settings centrally.

Activities

Maintaining Work Center Settings Centrally

  1. Call SAPphone administration (SPHA).
  2. Choose Goto ® Work center list.

    3. The selection screen for central work center maintenance is displayed.

  3. You can restrict the work centers to be maintained according to the following criteria:
    • Work center ID, provided that work centers are identified by registry entry in your system
    • Host names, provided that work centers are identified by host name in your system
    • Telephone number
    • Telephony server
    • User responsible
    • User logged on
    • Type of work center identification .
  1. Choose [image].

    2. A list of all the work centers that correspond to your selection criteria is displayed.

  2. The following processing options are available:
    • In order to change the telephone number of individual work centers or the user responsible for individual work centers, enter the changes in the corresponding fields.
    • In order to change the corresponding telephony server for several work centers, proceed as follows:
      1. Select several work centers or select [image] to select all.
      2. Choose Server.
      3. Specify the name of the telephony server in the subsequent dialog box.
      4. Choose [image].
    • You can check the work center settings. To do this, proceed as follows:
      1. Choose [image].

        2. If an error was found, you receive an appropriate message.

      2. Correct the error according to the message.
      3. Repeat both steps until you stop receiving error messages.
    • To delete work centers, select them and choose [image].
  1. Choose [image].

Maintaining User Settings Centrally

  1. In SAPphone administration, choose Goto ® User settings ® User list.

    2. The selection screen for central work center maintenance is displayed.

  2. You can restrict the user settings to be maintained according to the following criteria:
    • User names
    • How the users have configured the display of inbound calls
    • How the users have configured the system to react when calls are not answered.
    • The number group that is assigned to the users for transferring unanswered calls.
    • Call center user data
  1. Choose [image].

    2. A list of all the work centers that correspond to your selection criteria is displayed.

  2. The following processing options are available:
    • In order to change the inbound processing, the handling of unanswered calls, the number group for transferring unanswered calls or the call center user names, enter the changes in the relevant fields.
    • To assign the same template settings to several users, proceed as follows:
      1. Select several users or choose [image] to select all.
      2. Select Copy template.
      3. In the following dialog box, specify the template.
      4. Choose [image].
    • In order to change the corresponding address data areas for several work centers, proceed as follows:
      1. Select several users or choose [image] to select all.
      2. Choose Address data areas.
      3. In the following dialog box, specify the address data areas.
      4. Choose [image].
    • You can check the user settings. To do this, proceed as follows:
      1. Choose [image].
      2. If an error was found, you receive an appropriate message.
      3. Correct the error according to the message.
      4. Repeat both steps until you stop receiving error messages.
    • To delete user settings, select them and choose [image].
  1. Choose [image].


Creating and Maintaining a Work Center Individually

Use

You use this procedure to create a new SAPphone work center or to change your work center settings. A new work center is created if telephony functions have not been used on the computer on which the procedure is carried out.

Prerequisites

Only create a new work center on the computer that you normally work on.

The telephony server to which the work center is to be assigned must have been created by a system administrator.

To create and change the work center, you require special authorizations. Furthermore, if you do not have administrator authorizations, you can only change a work center if you are entered as the user responsible for this work center.

Procedure

  1. Call SAPphone administration (SPHA).
  2. Choose Work center.

    3. If the work center has already been created, you also call the settings from the SAPphone interface. To do this, choose [image] in the frame Work center on the tab page Services.

  3. Specify or change:
    • the extension of the associated telephone
    • the name of the telephony server to which the work center is assigned
    • the user who is responsible for these settings.
  4. Choose [image].

Result

Your work center settings are created or changed. A work center ID is generated automatically when the work center settings are created. The system always enters the user who is currently logged on to the work center as the current user.

If you change your work center, you can copy your settings .


Maintaining User Settings Individually

Use

Your user settings determine how your inbound calls are to be handled. You can, for example, display the caller data or branch directly to a specified application, for example the creation of purchase orders.

When work centers are created, users who are not yet assigned any user settings are automatically assigned the standard settings or the template settings configured by the administrator. You can adapt the settings to suit your needs using this procedure.

Procedure

  1. Call SAPphone administration (SPHA).
  2. Choose User settings.

    3. You can also call the settings from the SAPphone interface. To do this, choose [image] in the frame Users on the tab page Services.

  3. Check and, if necessary, change your user settings.
    • Handling of inbound calls
      • No display

Inbound calls do not trigger automatic actions in SAPphone.
      • Display inbound calls

When inbound calls are received, the SAPphone interface is opened and the caller data is displayed. The SAPphone interface also contains a list of tasks that you can start manually.

      • Start an application

You can specify a task that is then started automatically when an inbound call is received. As a restriction, you can specify that this task is only started automatically if the caller could be identified by the system.

If you want to check which tasks are available, choose Available tasks (outbox and inbox).
    • Notifications about unanswered calls

Notifications about unanswered calls, containing the caller data and a callback function, can be displayed to the user. These notifications are sent to the Business Workplace inbox of the user responsible for the work center. You can also specify an expiry date. When this date is reached, notifications are automatically deleted.
    • Address data areas for inbound calls

In the case of inbound calls, a search for caller data is carried out in the specified address areas.
    • Deflect

If a deflect group is assigned to a user, the user can transfer an inbound call to a number from this group without first accepting the call themselves. At this point, all groups that have been maintained by the administrator are displayed in the input help.
    • Call center logon data
  1. Choose [image].

Result

The next inbound call is handled according to your user settings.


Copying Settings

Use

If a SAPphone user changes work center but keeps their telephone number, the settings for the old work center can be copied automatically to the new work center.

Prerequisites

The user is authorized to maintain the settings of both the old and new work centers, that is, they are assigned to both as the user responsible.

Procedure

The function is executed automatically when the user enters the old telephone number and the old telephony server when creating the new work center.

The user can also start the function manually:

  1. Choose Office ® Telephone integration ® Extended settings.
  2. Choose Work center.
  3. Choose Copy settings.
  4. A list of all the work centers assigned to you is then displayed.
  5. Select the work center from which the settings are to be copied.

The old work center is deleted when you copy the settings.
  6. Choose [image].


Testing Telephone Integration

Use

After you have configured or changed the settings or if an error occurs, you can test them in the following ways:

  • Checking the system settings

SAPphone contains a function for checking the consistency of the SAPphone system settings. Another test function is used to check whether the external telephony software supports the SAPphone interface.
  • Testing the Settings you have made for the Telephony Functions

Test functions are available that you can use to check the settings you have made for the telephony functions. You can simulate inbound and outbound calls as well as data display and branching to the applications. You can also test the functions provided on the SAPphone interface (for example, Transfer or Conference calls).
  • Testing the Settings you have made for the Call Center Functions

The call center functions (for example, registering or deregistering from a queue) can be used via the Customer Interaction Center of the SAP System. If an error occurs, you can use the SAPphone test functions to check the settings for the call center functions.

You can test without a connection to the external telephony software existing. The RFC destination NONE must be assigned to the telephony server for this. This destination does not link to an external program, but to test modules in the SAP System. When testing the functions, you then have to enter the return codes, which would normally be transferred by the external telephony software, manually.

Activities

After installing and configuring your telephony environment, check the system settings .

After you have configured SAPphone or if an error occurs, you can test the telephony functions .

If errors occur when using SAPphone in a call center environment, you can test the settings for the call center functions .


Testing the System Settings

Use

When creating or changing a telephony server, check the compatibility of the versions of the external telephony software and the SAPphone interface. In the process, the version number is saved in the SAP System. Since SAPphone checks the version number before each telephony function is executed, the compatibility test, in which the number is determined and saved, must be performed in order to be able to execute the functions.

When you have made the system settings, check their consistency.

Prerequisites

Before the telephony server can be used, a connection test for the RFC destination must be carried out. The connection test verifies the connection from the R/3 System to the external software. You can do this test when you create the RFC Destination as well as when creating or changing a telephony server.

Activities

Function

Menu path

Description

Check consistency of system settings

In SAPphone system administration (SPHB), choose Utilities ® Consistency check

The check results from the following areas are then displayed.

  • Completeness of telephony server settings
  • Completeness of the address data areas.

The areas in which errors were detected are marked in red.

For more information on the consistency test results, choose the required category.

Check compatibility between SAPphone interface and external telephony software

In the display of the telephony server, choose Connection test.

When creating and changing a telephony server , the compatibility of the versions of the external telephony software and the SAPphone interface should be checked.

When creating or changing a work center, choose Connection test.

When creating or changing work center settings , the connection between the versions of the work center and the telephony software should be checked.

You can only execute the test if a Current user has been entered. When a new work center has been created, you can only carry out the test once you have saved the settings.


Testing the Telephony Functions

Use

After you have configured SAPphone or if an error occurs, you can test the telephony functions using functions provided by SAPphone administration.

Activities

Call SAPphone administration (SPHA). The following test functions are available:


Testing Call Center Functions

Use

You can use the test interface provided by SAPphone to test the call center functions.

The interface is available exclusively for test purposes.

Activities

Function

Transaction

Description

Testing call center functions

SPHT

An interface is displayed that you can use to test the following call center functions:

  • registering or deregistering as an agent
  • registering or deregistering in a queue
  • specifying the work mode
  • specifying the wait mode
  • displaying the call partner and the corresponding objects
  • accepting or rejecting calls
  • Transferring with or without consult
  • Conference calls
  • Putting calls on hold, retrieving calls, switching between calls and hanging up individual calls or all calls.


Monitoring the Telephony Environment

Use

The SAPphone system administration provides various tools for monitoring your telephony environment:

In the navigation tree, you obtain an overview of all the components involved. You can display additional information about the telephony servers.

To monitor the external telephony software, you can query its operating status .

You can monitor the telephony environment in the alert monitor , the standard tool for system monitoring in the SAP System.

If errors occur, tools are available for error analysis .


Displaying Additional Information about Telephony Servers

Use

The existing work centers are displayed for each telephony server in the navigation tree in SAPphone administration. You can also display other information about each telephony server.

Features

In the standard view, the telephony servers are displayed with name and description, the work centers with extension and user name of the work center user. You can display more information on the telephony servers by switching between different views:

  • the number of work centers (telephone connections) per telephony server
  • which telephony servers support canonical numbers
  • which telephony servers are local servers
  • the name of the RFC destination for each telephony server
  • which telephony servers support the alert monitor.

Activities

Expand ( [image]) the navigation tree of SAPphone system administration (SPHB). To switch between the views, choose Goto ® and the required display function.


Querying the Operating Status of External Components

Use

You can display the current operating status of the external connection software from the system administration of SAPconnect, SAPphone, and Business Routing. If errors occur, you can set the trace for the external communication component to the highest level directly from the SAP System. The trace logs data until you reset it.

Prerequisites

You can only query the operating status in the SAP System if the external connection software (communication gateway, telephony gateway, or routing gateway) supports the query. This is the case for all telephony gateways and routing gateways certified by SAP.

Procedure

  1. Choose Utilities ® Trace ® Server status and trace.
  2. Specify the node, telephony server, or routing server that represents the external software.

    3. The current operating status for the component is displayed in the Status frame.

  3. To receive more information, double-click on the required component (for example, SAPPHONE).


Alert Monitor for SAPconnect and SAPphone

Use

The communication environment of SAPconnect and SAPphone is connected to the alert monitor of the Computing Center Management System (CCMS). As a result, monitoring of the external components for external communication and for telephony is integrated into the central monitoring landscape of the R/3 System. The tools available in the CCMS can be used for the SAPconnect and SAPphone components.

The connection enables you to gain an overview of the operating statuses of your external communication components. The statuses are queried at regular intervals defined by you. Critical system statuses (alerts) are highlighted so that they can be easily recognized.

In the case of SAPconnect, the messages that are to be sent, which are still in the queue of an external communication system, are also displayed for each communication method. You can change the default threshold values that, when exceeded, cause alerts to be triggered and, in this way, adapt them to the conditions of your communication environment.

Information on the alert monitor can be found in the documentation on the Computing Center Management System.

Integration

For information on the monitoring architecture in the alert monitor, see The Monitoring Architecture: Concept .

The SAP Business Communication monitor set is supplied with the alert monitor for the monitoring of the SAPconnect and SAPphone environment. The SAPconnect and SAPphone monitors are both assigned to this monitor set. The SAPconnect and SAPphone data collection methods are also both supplied. These methods, which are to be scheduled periodically, query the current operating status of the external communication components and store the results. In the case of SAPconnect, the number of waiting, outgoing messages is also queried. You can access the results of the data collection methods from both the monitors. Current results and open alerts are displayed in a structured way.

You can change the standard monitoring functions. You can adjust the view of the results to suit your needs by changing the existing monitors or creating new monitors. The SAPconnect monitor allows you to define threshold values for the number of waiting, outgoing messages that, when exceeded, cause alerts to be triggered. No analysis methods or auto-reaction methods are assigned to the SAPconnect and SAPphone monitors. You can, however, add your own methods if required. For example, you can add auto-reaction methods, which are started if the threshold value for waiting faxes that is defined as a problem is exceeded.

Prerequisites

The external communication systems must support the data collection methods of the SAP Business Communication monitor set. This is the case for all certified telephony servers in the SAPphone environment. See the documentation for the communication systems used in the SAPconnect environment.

Activities

Using the Standard Monitors

You have to make some settings before you can use the monitors for SAPconnect and SAPphone. You can access the monitors of the SAP Business Communication Monitor Set directly from SAPconnect or SAPphone administration. There choose Utilities ® Alert monitor ® Display, specify a monitor and choose [image].

You can also call both the monitors directly in the central alert monitor display. To do this, choose Administration ® CCMS ® Control/Monitoring ® Alert Monitor (transaction RZ20)in the initial menu. The SAPconnect and SAPphone monitors can be found in the following places:

CCMS Monitor Sets

® SAP Business Communication

® SAPconnect

® SAPphone

® SAP CCMS Monitor Templates

® Communications

® SAPconnect

® SAP CCMS Technical Expert Monitor

® Monitor All Monitoring Contexts

® SAP Business Communication...

® Own monitor sets ...

Adapting monitors and methods

See Adapting Monitoring in the Alert Monitor .


Setting Monitoring in the Alert Monitor

Use

In contrast to monitoring in the alert monitor for the R/3 System, which is active as soon as the R/3 System has been installed, you have to schedule monitoring of SAPconnect and SAPphone yourself and activate it for the external components.

Process Flow

  1. Activate monitoring in the alert monitor for the SAPconnect nodes and the telephony servers that are to be queried by the data collection methods.
  2. Schedule the data collection method .

Result

The data collection methods query (at the specified intervals) the status of all the nodes and telephony servers that you have assigned the alert monitor support attribute to. The results are stored on an application server. A configurable view of these results is displayed in the alert monitor.


Activating Monitoring for Nodes and Servers

Use

A data collection method only queries the status of a communication component if you have marked the corresponding node in the R/3 System as ready to be queried by the data collection method. Therefore, you have to assign this attribute to every SAPconnect node and every telephony server that represents an external communication component that is to be monitored by the alert monitor.

Note that the methods always query all the nodes that you have assigned this attribute to, regardless of whether the communication system represented by the node actually supports the query.

Prerequisites

Only carry out the procedure for nodes and servers that represent communication systems or telephony software that the alert monitor supports.

Procedure

Activating Existing Nodes and Servers

  1. In the SAPconnect or SAPphone administration, select the node or the telephony server by double-clicking on it.
  2. Select the field Node (or Server) is to be monitored by the alert monitor.
  3. Choose [image].

Activating New Nodes and Servers Directly

When creating nodes or when creating telephony servers , select the field Node (or Server) is to be monitored by the alert monitor.

Result

All the nodes and servers that you carried out this procedure for are queried by the data collection methods.


Scheduling a Data Collection Method

Use

The SAPconnect and SAPphone data collection methods are deactivated by default, that is, the value for the periodic repetition of the methods is 0. In order to be able to monitor your communication environment in the alert monitor, you have to schedule the data collection method at regular intervals.

You have to start the methods manually before you use the monitors for the first time. You can configure the system so that the periodic execution of a method is started again automatically after a system restart, which means that you do not have to repeat this process after every restart of the R/3 System.

Process Flow

  1. Start the data collection method manually
  2. Schedule the data collection method periodically
  3. Alternatively, set automatic start of data collection method


Starting the Data Collection Method Manually

Use

You carry out this procedure for test purposes and before you use the SAPconnect or SAPphone monitors for the first time. A data collection period ends when the R/3-System is shut down. If you do not configure the system so that the data collection period is started automatically after a restart of the R/3 System, you have to start the period again manually each time.

Prerequisites

During the runtime of an R/3 System, the data collection method always has to be executed on the same application host. Therefore, when executing the data collection method directly from SAPconnect or SAPphone, you have to start it on the application host that it was executed on for the first time after a system restart.

Procedure

In SAPconnect or SAPphone administration

  1. Choose Utilities ® Alert monitor ® Start data collection method.

    2. It is confirmed in the status bar whether the method was executed successfully.

  2. If you are not on the application server that the data collection method was executed on after the last restart of the R/3 System, you receive an error message that contains the name of the 'correct' application host in the associated long text. In this case, log on to the specified server, start the SAPconnect or SAPphone administration and execute this procedure again.


Scheduling the Data Collection Method

Prerequisites

The data collection method has to have been started once manually.

Procedure

  1. Call the required monitor (SAPphone or SAPconnect).
  2. Choose [image].

    3. The monitor tree is expanded.

  3. Position the cursor on a node or a telephony server.

    4. The node and server are located on the lowest level of the monitor tree. You can also schedule the method on higher-level nodes (for example, a client or the monitor). However, this has no effect on the lower-level nodes!

  4. Choose Attributes.
  5. Choose [image].

    6. You receive notification that the values of the MTE class will be changed.

  6. Choose [image].
  7. On the tab page Methods in the field Start data collection method every..., specify how long the interval between automatic starts of the method is to be. The length is specified in seconds.
  8. Choose [image].

Result

The data collection method (SAPconnect or SAPphone) is scheduled. If you want to schedule the other method as well, repeat the procedure for this method.


Setting Automatic Start of Data Collection Method

Use

The periodic execution of a data collection method has to be explicitly started after each restart of the R/3 System. You can execute the method manually each time or configure the system so that the scheduled method is started automatically.

Procedure

  1. In the display of a SAP Business Communication monitor, choose Goto ® Settings and Methods.
  2. Under Methods, select Method definitions.
  3. Under Methods, choose [image] Display overview.

    4. A list of all method definitions is displayed.

  4. Select the method name SAPconnect or SAPphone by double-clicking on it.
  5. Choose [image].
  6. On the tab page Control, select Execute method immediately after the start of a monitoring segment.
  7. Choose [image].


SAP Business Communication Monitor Set

Use

All the monitors assigned to the SAP Business Communication monitor set can be called directly from SAPconnect or SAPphone administration.

The following graphic shows the view of the SAPconnect monitor, which has been reduced to include only some components of the whole monitor view.

The monitoring status refers only to problems occurring during the execution of the methods and not to problems with the communication components. The number of waiting faxes is 50 in this example and this is displayed as a warning. Therefore, the value is higher than the threshold value for warnings and lower than the threshold value for problems. An RFC communication error defined as an alert was reported for the FaxSer node. Furthermore, two other alerts have occurred in the past and have not been checked yet.


Adapting Monitoring in the Alert Monitor

Use

You can adapt monitoring in the alert monitor to suit the requirements of your communication environment.

Activities

Defining Threshold Values for Alerts

For the SAPconnect data collection method, you can define threshold values for the number of waiting, outgoing messages that, when exceeded, cause alerts to be triggered. Proceed as described in Changing Properties and Maintaining Methods . The procedure for assigning a monitor its own analysis tool or auto-reaction tool is also described there.

Restricting the Data Collection Methods

You can restrict the data collection methods to certain clients. Proceed as described in Restricting the Data Collection Method .

Creating Your Own Monitors

You can either change the standard monitors or create a new rules-based monitor. Proceed as described in Creating and Changing Monitors . Note that you can only access a monitor that you have created directly from SAPconnect and SAPphone administration, if you assign the monitor to the SAP Business Communication monitor set.


Restricting the Data Collection Method

Use

The SAPconnect or SAPphone data collection method is started by default for all clients in the R/3 System. However, it is possible to restrict the number of queried clients. To do this, specify the clients in which the communication components are to be queried.

Procedure

  1. Choose Administration ® CCMS ® Configuration ® Alert monitor (transaction RZ21).

    2. A list of the existing monitors (MTE classes) is displayed.

  2. Choose SAPconnect or SAPphone by double-clicking.
  3. Under Methods, select Method definitions.
  4. Under Methods, choose [image] Display overview.

    5. A list of all method definitions is displayed.

  5. Select the method name SAPconnect or SAPphone by double-clicking on it.
  6. Choose [image].
  7. On the Parameters tab page, specify which clients are to be monitored.

    8. Example:

    Parameter | Value
CLIENT | 001
CLIENT | 002
CLIENT | 003

    No client is entered by default. This means that all clients are monitored.

  8. Choose [image].

Result

The data collection method only queries the SAPconnect nodes or telephony servers (flagged for monitoring) that exist in the specified clients.


Error Analysis

Use

This function is used to find the cause of errors that occur during testing or in an active telephony environment.

Prerequisites

It is advisable to read the information on the process flows for inbound calls and outbound calls .

Activities

Call SAPphone system administration (SPHB).

Error

Procedure

Outbound calls are not transferred to the telephone.

  1. Check the operating status of the external telephony component .
  2. Set the trace for the telephony component .
  3. Check the RFC destination .
  4. Check the compatibility of the versions of the SAPphone interface and the external telephony software.
  5. Check the work center settings .

Inbound calls are not displayed in the R/3 System or do not trigger the start of a task

Check whether the error is due to a missing assignment .

When the missing assignment is checked, it is found that the inbound call was not transferred to the R/3 System.

Proceed as described for outbound calls.


Checking Missing Assignments

Use

You have discovered that no user could be determined for an inbound call. You can check why the call was not assigned by using this procedure.

You can only carry out this procedure for the last call in the system.

Procedure

  1. Call SAPphone administration (SPHA).
  2. If other calls have entered your system in the meantime, repeat the call or simulate it by choosing Simulate inbound call.
  3. Select Utilities ® Assign inbound call
  4. Check the data and information displayed. Also read the associated long text.
  5. Choose Call/log.

Result

The inbound call is simulated again. However, each step in the search for the caller is logged this time and, as a result, the step in which the error occurs can be easily identified from the log.


Setting Internal Traces

Use

You can use this function in SAPconnect and in SAPphone. If errors occur in SAPconnect when sending or receiving documents, you can set a trace to investigate the cause of the problem. If errors occur in SAPphone when inbound calls are being processed or when predictive dialing is used, you can set a trace to investigate the cause of the problem.

Procedure

  1. Call SAPconnect administration (SCOT) or SAPphone system administration (SPHB).
  2. Choose Utilities ® Trace ® Internal trace.
  3. Under Switch trace on/off, specify the areas for which the trace is to be set:

SAPconnect

Select the areas for which the trace is to be switched on, switched off or continued (Continue only is used to specify that the trace is only written for objects for which a trace is already running.):
    • Outbound
    • Inbound
    • Global (non message-specific processes)

SAPphone

Select the areas for which the trace should be switched on or off:
    • Inbound calls
    • Predictive dialing.
  3. Choose [image].

Result

The actions in the specified areas are logged. You can display and analyze a trace in the SAP System. In addition, you can store a trace in a file on your PC and, for example, process it further in a spreadsheet program or send it to the SAP Hotline for further analysis when trying to find the cause of an error.

Function

Procedure

Displaying a trace

  1. In SAPconnect or SAPphone administration, choose Utilities ® Trace ® Internal Trace.
  2. Under Display, select the traces that you want to display and choose [image] Display. You can select the following traces:
    • Today's: All traces set on the current day (in the case of SAPphone, a distinction is made between Inbound calls and Predictive dialing.)
    • With variant: Traces that were set with a specific variant. Also specify the variant.
    • Via selection screen: Traces that you wish to limit further. In this case, a selection screen is displayed on which you can make further restrictions. It is advisable to specify the trace type: D for SAPconnect, G for SAPphone: Inbound calls or F for Predictive dialing.

A list of the traces that correspond to your selection criteria is displayed.
  3. Select the required trace by double-clicking on it.
  4. You can call further information in the trace display by clicking once on [image] in the column mz.

Loading a trace onto your PC

  1. In the trace display, choose List ® Save ® File.
  2. Specify the required format and confirm.
  3. Specify a directory and a file name, for example C:\SAPPCADM\Trace0302.htm.
  4. Then choose Transfer or Copy.


Setting the Trace of the External Connection Software

Use

You can set the trace of the external connection software (communication server, telephony server, or routing server) in the system administration of SAPconnect, SAPphone, and Business Routing. You can then also display the trace in the SAP System.

If you configure the trace from the SAP System, the trace for the external software is set to the level that the manufacturer has marked as optimal for error analysis. Existing trace settings are overridden. If you then deactivate the trace in the SAP System again, the trace settings for the external software are reset to the original value (for example, deactivated or set to a lower level).

Prerequisites

You can only set and display the trace in the SAP System if the external software supports the configuration of the trace from the SAP System. This is the case for all telephony gateways and routing gateways certified by SAP.

Procedure

Function

Description

Set trace for external software

  1. Choose Utilities ® Trace ® Server status and trace.
  2. Specify the node, telephony server, or routing server that represents the external software.
  3. Choose Activate support level.

Display trace

  1. Choose Utilities ® Trace ® Server status and trace.
  2. Specify the required time period and, in the Type field, the level of information required.
  3. Choose Import.
  4. For further explanation about an entry, position the cursor on the line and choose Explain.

You can also receive an explanation for a message ID in the Status and trace of the external software dialog box.

Reset trace

  1. Choose Utilities ® Trace ® Server status and trace.
  2. Choose Deactivate support level.

Display trace

  1. Choose Utilities ® Trace ® Server status and trace.
  2. Choose [image] Import.


Outbound Calls: Process Flow

Purpose

Information on the steps that SAPphone performs in order to initiate an outbound call may be useful to administrators when analyzing errors.

Process Flow

The process begins when an SAP user calls the Dial function. The SAP System must locate the information required to execute the instruction:

  • the telephone number of the caller
  • the number to be dialed (converted according to the number conversion rules)
  • the connection to the telephone system.

1. Read the work center settings

The SAPphone work center ID is read from the registry. The work center settings are read from the table SPH_TERMNL.

Result:

SAPphone ID, telephone number and telephony server for the work center

2. Read the telephony server settings

The telephony server settings are read from the table SPH_SERVER or SXNODES.

Result:

RFC destination for accessing the telephone system software

3. Convert the dialed number

The dialed telephone number is converted for outbound calls in accordance with the number conversion rules.

Result:

The dialed number is converted to meet the local and technical requirements.

4. Initiate the call

SAPphone transfers the outbound and dialed telephone number to the telephone system software via the RFC destination using the function SPS_MAKE_CALL.

Result:

The call is initiated and the telephone rings.


Inbound Calls: Process Flow

Purpose

Information on the steps that SAPphone performs in order to transfer an inbound call may be useful to administrators when analyzing errors.

Inbound calls can be received in the SAP System in other ways besides via the dialog box. However, these will not be considered in this process description.

Process Flow

The process begins when an inbound call is reported to the SAP System. The SAP System must determine the following information:

  • Call recipient
  • Caller data

1. Convert the dialed number

The dialed telephone number is converted for inbound calls in accordance with the number conversion rules.

Result:

The dialed number corresponds to one of the following:
    • The extension of the caller (in this case, the server ID must also be specified)
    • The combination of server prefix and extension (in this case, the server ID must not be specified)

2. Determine the telephony server

Two scenarios are possible here:
    1. The telephony server ID is supplied by the telephone system software (for example, with the SAPphone server).
    2. The telephony server ID is not supplied. In this case, the start of the dialed telephone number is compared to the prefixes of the telephony servers.

The matching prefix is deleted from the dialed telephone number.

Result:
    1. ID of the telephony server which matches the specified ID or the prefix of the dialed number
    2. Extension of the dialed telephone number

3. Determine the work center

A search for the relevant work center is then performed using the telephony server ID and extension. If no work center is found, the next telephony server whose prefix matches the prefix of the dialed number is located.

If no work center is found, the function terminates.

Result:

Work center to which the dialed telephone number is assigned.

4. Determine the current user

The user logged on to the work center is read from the table SPH_TERMNL. This information is updated whenever a user logs on or logs off. If more than one user is logged on to one work center, the last user to log on is considered the current user.

If no users are logged on, the function terminates.

Result:

User to whom the call is delivered (that is, displayed).

5. Determine the caller

The system uses the calling telephone number to search for the caller data in the address data areas specified in the user settings. The function modules specified under ‘Address data areas’ in Customizing are used here. The system then reads the user settings to determine how the call is to be processed further (is the caller data to be displayed on screen or should a task be started?).

The call is not processed further if no settings have been defined for this user.

Result:

The call is delivered and processed.


Working with SAPphone

Use

SAPphone enables you to control your telephone using the SAP System and to use support functions, such as creating notes or starting call-related applications. A standard interface is available for these telephony functions.

Prerequisites

The following conditions must be fulfilled before you can select the telephony functions (otherwise the telephone symbols will not be displayed or will be deactivated, for example):

  • Your system administrator must have activated telephone integration.
  • Your telephone work center must have been created.

The SAPphone interface contains a status display, which is automatically updated when the status of a call changes. However, this automatic update function only works if your external telephony software actively transfers status changes to the SAP System (this is supported by the SAPphone server, for example). If not, the status display is only changed when the user updates it manually.

Features

The following functions are available on the SAPphone interface:

  • Initiate call, accept call, hang up individual or all calls
  • Create notes for a call and display existing notes
  • Put call on hold or retrieve call
  • Switch to another call
  • Transfer and reconnect calls with or without consult
  • Establish conference calls
  • Branch to an application
  • Search the address management for telephone numbers or other personal data
  • Display data attached to a call
  • Branch to the maintenance of your work center settings or user settings
  • Register or deregister on call center software.

For more information, see

SAPphone Interface

Initiating a Call

Accepting a Call

Searching for Callers Not Recognized by the System

Creating and Displaying Notes for a Call

Starting an Application

Displaying Calls in Absence

Sending a Mail with a Callback Function

Maintenance of Your Telephony Settings


The SAPphone Interface

Use

The SAPphone interface provides access to the various telephony functions that are available in the SAP applications. The interface contains windows, in which current telephone calls, and their statuses, are displayed, a standard toolbar with general functions, and tab pages with more functions.

The following graphic shows the structure of the SAPphone window:

Activities

Calling the SAPphone Interface

You can call the SAPphone interface from all applications that support generic object services. You recognize these applications by the icon Services for object that can be found next to the title. You can call the SAPphone interface by clicking this icon:

You can also call the SAPphone interface in SAPphone administration (SPHA). Choose [image] SAPphone. There are also telephony functions that are integrated individually in various applications. If you call these functions, the SAPphone interface is opened.

You can keep the interface open whilst you are working in other applications. The SAPphone interface is opened automatically when inbound calls are received, provided that you have selected the option Display inbound call in your user settings.

Using the Telephony Functions

You can use the general functions in the standard toolbar for all calls, irrespective of the tab page you are on. Select the calls for which the function is to be used and choose the relevant pushbutton.

To update the status display of existing calls, choose [image]. The status display is normally updated automatically. However, if your telephony software does not support this function for all status changes, you have to update the status display manually.

There are special functions on each tab page that relate exclusively to the current tab page:

  • Dial

You can initiate a call here.
  • Consult

Here, you can initiate consult and reconnect to the previous call partner. You can also establish a new connection by adding a call to a conference or transferring a call.
  • Transfer

Here, you can initiate a call, transfer a call with consult and reconnect to the previous call partner. You can also transfer an inbound call to numbers from a specific group, which is maintained in your user settings, without answering the call first.
  • Conference

Here, you can initiate a call, add a call to a conference and reconnect to the previous call partner. You can also leave a conference call yourself or remove another subscriber.
  • Call partner

Information on the current call partner is displayed here. Assigned business objects are also listed here. You can display and, if necessary, change them. You can go to the address management in order, for example, to search for a call partner that was not recognized by the system, using the telephone number. A list of applications that you can start (for example, Create a purchase order or a service notification) is also available here.
  • Other data

Data attached to a call is displayed here.
  • Services

Here, you can branch to the maintenance of your work center settings or user settings. You can also create notes for a call and display existing notes. Functions for registering and deregistering are also available to call center employees.

A dialing help is available for the functions that require you to specify a telephone number. You can also search for telephone numbers in the address management ( [image]).


Dialing Help

Use

When you initiate a call, a dialing help is available for the specification of the telephone number. The dialing help provides a list of telephone numbers for fast selection by clicking the mouse. Use the function by storing the telephone numbers you use most frequently in the dialing help. A maximum of ten numbers can be stored in the dialing help. If this number has been reached, the oldest number is deleted from the dialing help when a new number is added.

Procedure

Adding telephone numbers to the dialing help

  1. Specify a telephone number.
  2. Choose [image].

The number is displayed in the adjacent field.

Using the dialing help

  1. Call the input help.
  2. Select the required telephone number by double-clicking on it.

The graphic illustrates the procedure:


Initiating a Call

Use

Follow the procedure below if you do not want to initiate a call directly from an application. Individual solutions are provided in the applications for initiating calls (for example, by clicking the telephone symbol).

Prerequisites

The SAPphone interface is opened. For information on how you call the interface, see Working with SAPphone .

Procedure

  1. On the tab page Dial, enter the country and telephone number. Dialing help and a function ( [image]) for searching for telephone numbers in the address management are available for this.
  2. Choose [image] Initiate.

Result

The specified telephone number is transferred to the telephony system, which creates the telephone connection. Now use the telephone. You can execute other functions on the SAPphone interface. The connection can be terminated by hanging up the receiver or by choosing the Hang up function. In contrast, closing the SAPphone interface does not affect the connection because this function only refers to the screen window.


Accepting a Call

Purpose

The processing of an inbound call differs depending on the system architecture and the individual user settings. An inbound call can prompt the system to display information about the call on the screen, branch directly to a suitable application, or transfer the call data to an application.

Process Flow

The process starts automatically when a call is received.

Depending on your system architecture, you may first receive an express message with the name, company, and telephone number of the caller. You can then branch to the SAPphone interface or the selected application from this dialog box.

1. In accordance with your user settings,

    • an application is launched directly
    • the SAPphone interface is opened and the caller data is displayed.

If the caller could not be identified, you can search for the caller address manually.

2. Establish the connection

To establish the connection, pick up the receiver or choose Accept.

3. Process the call in the SAP System

You can execute different functions on the SAPphone interface, for example, transfer the call, create a note or start a task.

4. Terminate the connection

The connection can be terminated by hanging up the receiver or by choosing the Hang up function. In contrast, closing the SAPphone interface does not affect the connection because this function only refers to the screen window.


Searching for Callers Not Recognized by the System

Use

In order for SAPphone to be able to identify the caller of an inbound call, the caller's telephone number must be stored in the SAP System in the form in which it is transferred to the system. Telephone numbers are often received by the system in a form which is different to the way in which they are maintained in the address management. Therefore, SAPphone uses its own fields, which are assigned ‘invisibly’ to the telephone numbers in the address management, when searching for caller data. This assignment should take place in SAPphone when a caller cannot be identified.

If no data can be displayed for the caller, users themselves can search for the caller data in the address management. A dialog box can be called by the user for this purpose. When the user has selected the caller data, the inbound telephone number can be assigned to the caller so that the caller can be identified in future.

Procedure

  1. Call the SAPphone interface .
  2. Switch to the tab page Call partner.
  3. Choose Address management.
  4. Specify the search criteria.
  5. When the system has found the caller address, select it, by double-clicking on it, in order to assign the unrecognized telephone number to it.

If the inbound telephone number is not only in a different form (e.g. 0011234567890 instead of (123) 456-7890) but is also a completely different number (e.g. a cellular phone number), you should maintain the number in the address management before assigning the number to a SAPphone search field.


Creating and Displaying Notes for a Call

Call the SAPphone interface .

Creating Notes

  1. On the tab page Services, choose [image].
  2. Enter a title and a text.
  3. Choose [image].

The note is linked to the current call.

Displaying Notes

  1. On the tab page Services, choose [image].
  2. The notes for the current call are displayed.
  3. You can select, change or delete a note by double-clicking.


Starting an Application

Procedure

  1. Call the SAPphone interface .
  2. Switch to the tab page Call partner.
  3. The applications that are suitable for SAPphone and for which you have authorization are displayed for selection as pushbuttons (for example, Create purchase order or service notification).
  4. Position the cursor on the call for which you want to start the application.
  5. Select an application.

Result

The application is started in a new window. In the case of some applications, the caller data is transferred to the application so that you do not have to enter it yourself.


Displaying Calls in Absence

Prerequisites

Unanswered calls are only stored in the Business Workplace if you have specified this in your user settings. You can also specify an expiry time for these notifications.

Procedure

  1. Call the Business Workplace.
  2. In the folder tree, select the inbox.
  3. The notifications about calls that you have not answered are listed in the folder contents list.
  4. Select an entry by double-clicking on it.

The data for the current call is displayed. You can start a callback directly from this display.


Sending a Mail with a Callback Function

Use

You can send calls with a note or as an attachment to a document. The recipient can then call you back by calling the document or the attachment. The callback function can only be used by SAP users whose telephony settings are maintained.

An employee cannot be reached by telephone at the moment. You can send a mail to the employee asking them to call you back and append an executable call to your telephone number to the mail and send it. When the recipient calls up the attachment, the Initiate call dialog box containing the specified number is displayed.

Procedure

  1. Choose System ® Send short message.

Wait until the system has opened a new session.

2. Specify the title of the document and enter a text.

  4. Select Document ® Create attachment ® Link to business object

    5. A list of the available objects is displayed.

  5. Select the entry SAPphone: Telephone call by double-clicking on it.
  6. A dialog box is displayed in which you can enter your telephone number and the country code.

The tab page Attachments is added to the tab pages Document content and Attributes.

  5. Specify the recipient with the corresponding recipient type .
  6. Choose [image].

Result

The message is placed in the Business Workplace inbox of the recipients. They can call the message there. If they call up the attachment and confirm the dialog box, the callback is initiated.


Extended Maintenance of Your Telephony Settings

Use

To be able to use the telephony functions of the SAP System, your work center must be created as a telephone work center. The system must recognize which telephone belongs to which computer.

Inbound calls can trigger various actions in SAPphone. For example, an application, such as the creation of a purchase order, can be started. In your user settings, you can change the way the system handles inbound calls to your work center.

Prerequisites

You require the authorization for the extended maintenance of your telephony settings.

Activities

The procedure for creating a work center depends on the extent to which your system administrator has prepared the function. If you do not receive any other instructions, proceed as described in Creating and Maintaining Work Centers Individually .

The procedure for changing the user settings is described in Maintaining Users Settings Individually .


Telephone Integration in the Internet

Use

This Easy Web Transaction (EWT) enables employees to initiate a call using a Web browser.

Integration

The telephony function can be called from any Internet application, provided that the application supports the function. As of 4.6A, the EWT Who is Who supports the function Initiate call.

Authorizations/Security

You do not require special authorization to initiate a call.

Standard default settings and predefined data

For the EWT Initiate call, you must have configured SAPphone . Work center identification by host name or a mixed identification must be set. The telephone work center is created automatically on a computer the first time the function is executed.

Features

The EWT telephone function is limited to initiating a call.

Adjustment options

Service name

The service name of this EWT is SPHW. All associated files can be found in the SAP System and in the SAP@Web Studio under this name.


Initiating a Call in an Easy Web Transaction

Use

This function is used to initiate a call from an Easy Web Transaction. The call is transferred to your telephone and the specified telephone number is dialed automatically.

Procedure

You have called the telephone function in an Easy Web Transaction.

  1. Your telephone number is entered in the field From. The name of the telephony server that is used to transfer the call to your telephone is displayed in the adjacent field.

If you are executing the telephone function for the first time, you have to fill these fields in yourself. The data is then stored and entered automatically the next time you call the function. However, make sure you only specify the number of the telephone that you can phone from.
  2. Enter the telephone number to be dialed, without the country code, in the field To and select the relevant country in the adjacent field.
  3. Choose Dial or Dial and close.

Your telephone rings. Pick up the receiver.

Result

The connection is established. To terminate the connection, choose Hang up or hang up the receiver. To exit the dialog box, choose Close. Closing the dialog box does not affect the connection.


SAPphone Server

Purpose

SAPphone provides an RFC interface which is used to connect external telephony software to SAP Systems. Third-party manufacturers can program a direct connection to the RFC interface or use the SAPphone Server delivered with the SAP System. The SAPphone Server works as a link between the SAPphone RFC interface and the TAPI standard interface defined by Microsoft for telephone integration solutions. If the SAPphone Server is used, manufacturers of TAPI-compatible telephony products do not have to program an individual connection to the SAPphone RFC interface.

The following graphic shows the components involved in connection via the SAPphone Server:

Implementation Considerations

See Architecture of the Telephony Connection .

Features

SAPphone Server 2.5 supports all the basic telephony functions and call center functions of SAPphone . It is downwardly compatible, meaning that you can use it with SAP R/3 version 3.1I and higher. Predictive dialing is not supported by the SAPphone Server.


Architecture of the Telephony Connection

There are various possible scenarios for installing the SAPphone Server:

  • The SAPphone Server is installed centrally on a telephony server, together with the telephony software and the TAPI Service Provider. In this case, the SAPphone Server does not have to be installed on the work center computers (physical units consisting of computer and telephone).
  • The SAPphone Server is installed locally on each work center.
  • The SAPphone Server is installed in a client-server architecture.

You also require TAPI and a TAPI Service Provider to connect your external software via the SAPphone Server. TAPI is delivered with Microsoft Windows NT 4.0 and Microsoft Windows 2000.

The graphics below show two options for the client-server architecture. The telephony software in use determines which is the most suitable option.

Client-server architecture with TAPI Remote Service Provider:

Only the SAPphone Server is installed on the work center computers.

Client-server architecture with TAPI Service Provider:

In addition to the SAPphone Server, the TAPI Service Provider of the telephony software used has to be installed on each work center computer.


Setting Up the Telephony Connection

Purpose

To enable communication between the telephony software and SAPphone via TAPI, you have to install the SAPphone Server and configure the connection in the SAPphone Server and in the SAP System.

Prerequisites

  • Microsoft Windows NT 4.0 Service Pack 6/6a or Microsoft Windows 2000 Service Pack 2
  • SAP R/3 Release 3.1I or higher
  • TAPI version 2.0 or 2.1
  • A TAPI Service Provider for the telephony software used

Process Flow

Activity

Description

  1. Install the SAPphone Server

Proceed as described in Installing the SAPphone Server .

  1. Configure the SAP System

Proceed as described in Settings in the SAP System .

  1. Configure the SAPphone Server

Proceed as described in Configuration of the SAPphone Server .

  1. Start the SAPphone Server

Proceed as described in Starting the SAPphone Server .

  1. Perform a connection test in SAPphone

Proceed as described in Connection Test then check whether the name and version are entered on the R/3 Connectivity tab page in the SAPphone Server configuration environment.

Result

The connection between the SAP System and the external telephony software is set up. You can monitor the operating status of the SAPphone Server using the SAPphone Server interface. Error messages are also logged. SAPphone administration provides various monitoring tools .


Installing the SAPphone Server

Procedure

From the presentation CD

An administrator can create an installation package with SAPphone Server 2.5, together with other front end components for example, and carry out a network installation.

The documentation on this procedure can be found on the presentation CD.

From SAP Service Marketplace

The SAPphone Server is part of the SAP GUI patch available for download and installation from the SAP Service Marketplace. For more information, see SAP Note 119225.

The SAPphone Server available for download may be a more up-to-date version than the SAPphone Server on your presentation CD.

Result

The SAPphone Server is installed on the computer. You now have to configure it according to your telephony environment.


Settings in the SAP System

Purpose

The graphic below shows which settings are required in the SAP System for the connection to the SAPphone Server:

Process Flow

  1. If you install the SAPphone Server centrally, create an RFC user under which the SAPphone Server is to log on to the SAP System. To do this, proceed as described in Creating RFC Users . You can also refer to the example appended. If the server is installed locally, the user of the work center can be used.
  2. Create an RFC destination for outbound calls. The type T (TCP/IP connection) and the activation type Registration must be assigned to the RFC destination. Proceed as described in Maintaining Remote Destinations . You can also refer to the example appended.
  3. Create a telephony server and assign the RFC destination for outbound calls to it. If there is no appropriate site, you have to create a site first. Proceed as described in Creating and Maintaining Telephony Servers . You can also refer to the example appended.

Result

The SAPphone Server has been set up in the SAP System. The users who are to use telephone integration with the SAPphone Server in the client in question have to be assigned to the telephony server. The assignment is made when the SAPphone work centers are created.


Adapting the Authorization Profile S_A.SCON

Use

If you install the SAPphone Server centrally, you have to create a central user that logs on to the SAP System for all inbound calls. You assign the RFC user authorization profile S_A.SCON to this user. Since the profile does not contain all the authorizations required in the telephony environment, you have to enhance it first.

Procedure

  1. Call transaction SU02 to access the maintenance interface for profiles.
  2. In the subsequent dialog box, choose [image].
  3. Enter S_A.SCON in the Profile field.
  4. Choose [image] Create work area for profiles.
  5. Select the entry S_A.SCON by double-clicking on it.
  6. Select the authorization S_RFC_SCON by double-clicking on it.
  7. Check whether the following values are assigned to the authorization:

PD01, PHOH, PHOI, SX02, SYST.

If this is not the case, proceed as follows:
    1. Position the cursor on the line Name of RFC to be protected and choose Maintain values.
    2. Enter the missing values.
    3. Choose [image].
    4. Choose [image].

Result

The authorization profile S_A.SCON has been adapted to meet the requirements of the telephony environment.


Example of RFC User Specifications

Field | Example
User name | SAPPHONE
Language | English
Password | init
Confirm password | init
User type | System
Authorization profile | S_A.SCON ( enhanced by you)

Do not specify a validity period and ensure that the password does not expire.

This example refers to a technical user in the central installation variant.


Example of RFC Destination Specifications

Field | Example
RFC destination | PHONEOUT
Connection type | T
Activation type | Registration
Description | Outbound calls to SAPphone Server
Gateway host | hs3333
Gateway service | sapgw00

If you do not know the data for your SAP Gateway, choose Administration ® System Administration ® Monitor ® System Monitoring ® Gateway Monitor. A list is displayed of all the SAP Gateways connected to your SAP System.

Usually, an SAP Gateway is assigned to each SAP application server and database server.


Example of Site and Telephony Server Specifications

Site

Field | Example
Name | Walldorf
Number prefix | 6227/47
Country | DE
Extension length | 3
Time zone | CET

Telephony Server

Field | Example
Server | SPS_C11_000
Site | Walldorf
Description | For the instance SAPphone Server C11 000
RFC destination | PHONEOUT
Local server | (Telephony server in a local architecture )
Canon. numbers | X
Server in use | * (Do not select this field until you have configured the SAPphone Server.)
Server is to be monitored by alert monitor | *
Version | (The version is entered by the system once the connection test has been successfully carried out.)
Number conversion for outbound calls
Number replaced | +49 (6227) 47
Replacement number |
Comment | Internal numbers
Functions
Telephony | X
Dialer | X
Statistics | X


Configuration of the SAPphone Server

Purpose

A configuration environment is provided for configuring the SAPphone Server. If you use telephone integration in more than one client of an SAP System or in more than one SAP System, you can create several instances of an installed SAPphone Server.

The specifications in the configuration environment must correspond to the values that you specified for the RFC destination created in the SAP System.

Process Flow

  1. Choose Start ® Programs ® SAPphone Server ® SAPphone Server.
  2. Choose SAPphone Server ® New Instance.
  3. Enter a name, for example in the form SAPphone Server - <SAP System Name> <Client>, and choose Create.

If you create several instances, they are automatically numbered. For example, the name of the first instance is SAPphone Server - C11 000 (Instance 0).

The configuration interface is opened. Example values are entered in the fields.
  4. Make the following settings on the General tab page:

Field

Description

Administration

Name

You can change the name you specified earlier.

Product version

The version of the SAPphone Server is displayed.

Program

The path and file name of the program to be executed are displayed.

Server instance

The instance number is displayed in the form SAPPHONE<Number>.

Type

Central installation

Select this field if you are using the SAPphone Server in a central architecture .

Local installation

Select this field if you are using the SAPphone Server in a local architecture or a client-server architecture

R/3 popup title to search for

So that the dialog box containing the caller data, which the user receives for inbound calls, is always displayed in the foreground in a local installation, specify the name of the dialog box in the language that you use, for example Call. (The name is in the title bar of the dialog box.)

This is not required in a central installation because users first receive an express notification from which they can go to the dialog box containing the caller data.

Adjust popup coordinates

Select this field if you want to define where the dialog box with the caller data is displayed on the screen. If so, specify the coordinates of the required position in the fields X: and Y:.

Example

  5. Make the following settings on the R/3 Connectivity tab page:

Field

Description

General

Server name in R/3

The name created in the SAP System for this server is entered here automatically after a connection test has been successfully carried out.

If you are using SAP R/3 Release 3.1I, the name is not entered automatically. In this case, you have to enter the name yourself after the connection test. This involves changing the instance in the configuration program and then starting the SAPphone Server again.

SAPphone version

The version of the SAPphone RFC interface is entered here automatically after a connection test has been successfully carried out.

R/3 codepage (NT notation)

A list of values for frequently used character sets can be found in the appendix.

R/3 codepage (R/3 notation)

You obtain the value for the character set by executing the report RSPARAM1 on the application server onto which the SAPphone Server logs on. The value can be found in the list under install/codepage/appl_server.

Use Saprfc.ini

You have the following options for storing the RFC information of the RFC In service.

  • If you select this field, you specify the information in the configuration file Saprfc.ini
  • If you do not select this field, you specify the information on this tab page

For more information, see Registering the SAPphone Server .

Report Inbound Call

  1. Report new call and end of call
  2. Report end of call only
  3. Report nothing

New calls can be reported with a popup/express notification. Calls that are not connected can be reported with a mail. If nothing is to be reported, no RFC connection for inbound calls is required. If you select this option, the settings in the R3/Inbound frame are deactivated.

R/3 Inbound

User

Specify the name of the RFC user under which the SAPphone Server is to log on to the SAP System.

Client

Specify the client onto which the SAPphone Server is to log on.

Language

Specify the language for the RFC user.

Password

Enter the password for the RFC user.

Confirm

Repeat the password.

If you are not using Saprfc.ini, make entries here.

Use R/3 message server...

Select this field if you want to use the SAP System’s load balancing.

Message server

If you are using load balancing, specify the message server onto which the SAPphone Server is to log on.

R/3 Name

If you are using load balancing, specify the name of the SAP System onto which the SAPphone Server is to log on.

Group

If you are using load balancing, specify the message server group onto which the SAPphone Server is to log on.

Application server

If you are not using load balancing, specify the application server onto which the SAPphone Server is to log on.

System number

If you are not using load balancing, specify the system number assigned to the SAP System on the application server specified.

RFC destination

If you are using Saprfc.ini, enter a name for the RFC destination for inbound calls.

R/3 Outbound

If you are not using Saprfc.ini, make entries here.

SAP Gateway

Specify the name of the SAP Gateway on which the SAPphone Server is to register.

Gway service

Specify the SAP Gateway service in the form in which it is specified in the directory WINNT/system32/drivers/etc/services.

Program ID

Specify the program ID with which the SAPphone Server is to register on the SAP Gateway. The ID must correspond to the ID that you specified in the SAP System in the RFC destination for outbound calls.

Retry number

Specify the number of attempts that are to be made to create a connection between SAPconnect and the SAPphone Server if the RFC connection has been interrupted.

Retry wait time

Specify the number of seconds after which a new attempt to create the RFC connection is to be started.

RFC destination

If you are using Saprfc.ini, specify the name of the RFC destination that you created in the SAP System for outbound calls.

Example:

  6. Make the following settings on the Telephony Settings tab page:

Field

Description

Calls

Report inactive inbound calls too

Select this field if inbound calls are also to be displayed to the SAP users who are grouped together with the called number, for example using a telephone bridge. Always select this field if you are using an Ericsson TAPI Service Provider.

Auto accept outbound calls

Some telephony programs, such as the Bosch CTI Server, do not create the connection for outbound calls until the call has been actively accepted by the caller, that is, until the receiver has been picked up, for example. If you want calls to be initiated directly and are using these servers, select this field.

Use lineRemoveFromConference

Select this field if lineRemoveFromConference is to be used to remove participants from a conference. Refer to the TAPI Service Provider for more information.

Phone Numbers

Compute number to dial with help of TAPI

Select this field if TAPI is to change the number dialed for outbound calls, for example to add the prefix for a network operator.

Consult/Conference Call Setup Mode

  1. Transfer mode
  2. Hold mode
  3. Prepare mode

Specify how your telephony software handles consultation calls and conference calls.

  1. Both types of call are initiated as consultation calls (for example Siemens Telas TAPI SP)
  2. In both cases, the active call is put on hold and then a new call is initiated (for example Mitel SX 2000 or MedianPath TAPI SP)
  3. The calls are handled either as consultation calls or conference calls depending on their type (for example Nortel)

Wait Periods (range 0..max, in milliseconds if not otherwise specified)

For call data after offering

Some of the call-related data may not be available at the time of offering. Specify the time period (in seconds) that is to be waited for this data before returning to the SAP System. If your service provider does not deliver any data, you can enter 0.

For TAPI LINE_REPLY

Specify the time period that is to be waited for the asynchronous return code. The default setting is 1 minute (60,000 milliseconds).

For conference call

Specify the time period that is to be waited when setting up a conference call. This should be 1 second (1,000 milliseconds) for Nortel, for example.

For call reconnection

Specify the time period that is to be waited when reconnecting after a consultation. This should be 1 second (1,000 milliseconds) for Nortel, for example.

Administration

Administrator password

Enter an administrator password if applicable, such as with Siemens Telas ‘admin’ line.

You can test the RFC connection directly.

Example

  7. Make the following settings on the Call Center Settings tab page:

Field | Description
Call Center Agent Login
Agent login into a specific queue | Select this field if SAP R/3 users in a call center environment are to register in a queue.
Agent login with call center user ID | Select this field if a queue is not being used, but the users are to log in with the agent ID specified in the user settings. Always select this field if Nortel Meridian or Nortel Symposium Call Center is being used. In this case, also specify whether the agent ID is passed to the SAPphone Server in Unicode or in ASCII.
Call Attached Data (CAD)
TAPI SP supports CAD | Select this field if the service provider supports CAD.
CAD is given/expected in Unicode, else ASCII | Select this field if the CAD is to be passed in Unicode.
CAD value delimiter | Specify the delimiter character that is to be used to separate the CAD key values. The default is 10 (linefeed). You should ensure that the delimiter character used does not appear in the data itself!

Example

  8. Make the following settings on the Diagnostics tab page:

Field | Description
Log File
Write log file | Select this field to use the log file for error analysis if errors occur. This field should not normally be selected.
Write TAPI messages into log file | Select this field if the messages output by the TAPI interface are also to be written in the log file for error analysis.
Directory for log file | Specify a path and a name for the log file.
TAPI
Request additional diagnostic TAPI messages | Select this field if additional TAPI status messages are to be written in the log file. This can, however, cause the file to be very big.
R/3
Write RFC trace | Select this field if RFC calls are to be logged.
Start ABAP debugger | Select this field if you want to debug SAPconnect when errors occur. If SAPconnect is to be debugged, an SAP GUI must be installed on the computer.

Example

  9. Confirm your entries.

Result

The SAPphone Server has been configured for the specified SAP System and the specified client.


Registering the SAPphone Server

Use

In order for the connection between the SAP System and the SAPphone Server to be used, the SAPphone Server must register on the SAP Gateway you specified in the RFC destination created in the SAP System for outbound calls. You also specified the program ID under which the SAPphone Server must register. The program ID and the information on the SAP Gateway are stored either in the Saprfc.ini or directly in the SAPphone Server configuration program.

For inbound calls, the SAPphone Server must receive information specifying which SAP application server and which SAP user it is to use to log on to the SAP System. The information regarding the application server (or, when load balancing is used, the message server that distributes the calls to the application server that has the smallest load) is also specified either in the Saprfc.ini or directly in the SAPphone Server configuration program. The information regarding the RFC user created in the SAP System is specified directly in the configuration program, even when the Saprfc.ini is used for RFC destination registration.

For more information on registering a server program on the SAP Gateway, see the documentation on The RFC API .

Procedure

Registering in the SAPphone Server configuration environment

Enter the information regarding the message server or application server as described in Configuration of the SAPphone Server . The Use Saprfc.ini field must be deselected for this.

Registering using the Saprfc.ini

  1. Enter the names of the RFC destinations as described in Configuration of the SAPphone Server . The Use Saprfc.ini field must be selected for this.
  2. If an Saprfc.ini has already been created on the installation server for other RFC-based programs, you can add the entries to this and specify the path and file names. If this is not the case, create the Saprfc.ini file in the directory containing the Sapphone2.exe program.

Example of RFC destination entries for outbound calls:

Example of RFC destination entries for inbound calls with direct logon to an application server:

Example of RFC destination entries for inbound calls when load balancing is used:


Example Values for Character Sets in NT Notation

The list contains some example values for character sets used for conversion:

Value
Character Set

The character sets that are listed here with values from 37 to 500 are EBCDIC variants (also referred to as host character sets).

37

USA, Australia, Belgium, Canada (English and French), Netherlands, Portugal

273

Germany

277

Denmark, Norway

278

Sweden, Finland

280

Italy

284

Latin America, Spain

285

Great Britain

297

France

500

International, Switzerland (German and French)

874

Thai

932

Japanese

936

Chinese (PRC, Singapore)

949

Korean

950

Chinese (Taiwan, Hong Kong)

1200

Unicode (BMP according to ISO 10646)

1250

Windows East European

1251

Windows Cyrillic

1252

Windows Latin 1 (USA, Western Europe)

1253

Windows Greek

1254

Windows Turkish

1255

Hebrew

1256

Arabic

1257

Baltic

1361

Korean (Johab)

You cannot use the RFC destination connection test if you have specified an R/3 character set that does not start with LATIN 1 characters (EBCDIC, for example) in the target program.


Testing the RFC Connection to the SAP System

Use

You can use this function to test the RFC connection between the SAPphone Server and the SAP System directly from the SAPphone Server user interface. In the test, an attempt is made to create the RFC connection using the data specified in the SAPphone Server configuration environment or in the file Saprfc.ini. You can carry out the tests in the SAPphone Server configuration environment when you have created a SAPphone Server instance or changed the RFC connection data.

Prerequisites

The RFC connection data must be maintained in the SAPphone Server configuration environment or in the file Saprfc.ini. The SAP System must be in operation. The SAPphone Server must be registered on the SAP Gateway.

Procedure

Testing the RFC connection to the SAP System

  1. Choose RFC test login in the R/3 Inbound frame on the R/3 Connectivity tab page in the SAPphone Server configuration environment.
  2. Specify the RFC user's password in the subsequent dialog box.
  3. Choose OK.

Testing the RFC connection from the SAP System

To test the RFC connection from the SAP System, choose RFC test login in the R/3 Outbound frame on the R/3 Connectivity tab page in the SAPphone Server configuration environment.

Result

The test is carried out. If an error occurs, an error message is displayed. More detailed information about the error message can be called by choosing Information.


Starting the SAPphone Server

Starting the SAPphone Server manually

  1. Choose Start ® Programs® SAPphone Server ® SAPphone Server.
  2. Select the SAPphone Server that you want to start.
  3. Choose Start.

The SAPphone Server is started. You can stop the server manually by choosing Stop.

Starting the SAPphone Server automatically

Prerequisites

You can set the starting of the SAPphone Server either using the Control Panel or using the SAPphone Server user interface. If you set it using the Control Panel, the SAPphone Server is started directly after the system is started. However, if you set it using the SAPphone Server user interface, the SAPphone Server is started when the user logs in. How you make the setting depends on whether the SAPphone Server is installed locally or centrally.

If it is installed locally, the starting has to be set using the SAPphone Server user interface. This is because the data for inbound calls is displayed to the user in a dialog box that has to be created (in the background) directly when the SAPphone Server is started. This is not possible if the SAPphone Server is started before the user logs in.

If the SAPphone Server is installed centrally, it is recommended that the starting be set using the Control Panel so that the SAPphone Server is ready for use before a user logs in, in the event of a system restart. (In the case of inbound calls, an express message is sent to the users called.)

Procedure

Setting

Description

Using the Control Panel

(central installation)

  1. In the Control Panel, choose Services.

    2. A list is displayed of the services registered on your computer. This list includes the instances of the SAPphone Server that you created with the SAPphone Server configuration environment.

  2. Double-click on the SAPphone Server instance required.
  3. Select Automatic.
  4. Choose OK.
  5. Choose Start.

The SAPphone Server is started. Each time the computer is restarted, the SAPphone Server is started again.

Using the SAPphone Server user interface

(local installation)

  1. Choose Start ® Programs ® SAPphone Server ® SAPphone Server.

    2. A list is displayed of the SAPphone Server instances that you created with the SAPphone Server configuration environment.

  2. Double-click on the SAPphone Server instance required, or choose SAPphone Server ® Startup Mode.
  3. Select Start server at user login.
  4. Choose OK.
  5. Choose Start.

The SAPphone Server is started. When the computer is restarted, the SAPphone Server is started again as soon as a user logs in to the computer.


Monitoring the SAPphone Server

Use

There is a user interface for monitoring the SAPphone Server. It displays a list containing the current status of each server.

If errors occur, they are logged in the log file. The name of the file has the format: SPSError<Month><Year>, for example SPSError031999.log for March 1999. If the SAPphone Server user interface is open, an error message is also displayed. To check whether the SAPphone Server has been configured without errors, you can go directly to the SAPphone Server configuration environment.

The graphic shows the screen layout of the SAPphone Server user interface:

Activities

To call the status list, choose Start ® Programs® SAPphone Server ® SAPphone Server. The status list is updated automatically at regular intervals. You can also start the update manually. If you want to start, stop, or configure a SAPphone Server, select the server required and choose the relevant function.


Glossary

Finding terms

To search for a glossary term, enter the term in the text field of the Index tab.

To search for a term in the full text, enter the term in the text field of the Search tab, and press Enter or the pushbutton List Topics.

Displaying terms

To display a term highlighted in the list box, double-click on it or press the pushbutton Display.


HTML Help Viewer Help

Use

With the HTML Help Viewer you can view the SAP Library in file format Compiled HTML (*.CHM).

Features

The HTML Help Viewer comprises:

  • A topic window for displaying the current help document.
  • A navigation window for displaying the current table of contents, the keyword search and the full-text search. (The navigation window can be hidden or shown: Hide/Show.)
  • A toolbar containing navigation and print functions, etc.

If you go to other help files while navigating through the online help, other HTML Help Viewer instances are opened. These instances can be closed individually. If you close the initial instance, all viewer instances are closed.

To go to the first page of the SAP Library, choose Home. You have access to the entire documentation from there: SAP Library, Glossary, Implementation Guide (IMG) and Release Notes.

Finding Help Documents

To find help documents:

  • Navigate in the table of contents tree structure (Contents tab)
    • To expand or collapse all branches of the table of contents tree, click the right-hand mouse key in the navigation window and choose Expand all or Collapse all in the context menu.
    • To move backwards and forwards in a navigation path, choose Back or Forward in the toolbar. This applies to the navigation path within an HTML Help Viewer instance.
    • To display only the entries for particular info classes in the table of contents, click the right-hand mouse key in the navigation window and choose Customize... in the context menu. Specify in the following dialog which info classes are to appear in the table of contents.
  • Perform a keyword search (Index tab)

The complete index is displayed if you are in the SAP Library; the index of the current help file is displayed if you are in another help file. No Index tab is displayed if no index exists for the current help file.

Loading the complete SAP Library index (approx. 8 MB) can take several minutes, depending on the configuration of your PC.

Select an entry in the list of keywords and choose Display.
If the selected keyword is assigned to only one help document, that document is displayed. Otherwise a list of documents found is offered for selection.

As Release Notes and IMG have no index, only full-text search is possible for them.
  • Perform a full-text search (Search tab)

Enter a search request and choose List Topics.
All documents are searched if you are in the SAP Library; only the documents in the current help file are searched if you are in another help file. The documents found are listed for selection.

To make complex searches:
    • Use the place holder ? for single characters and * for character strings in search terms.
    • Match similar words
    • Combine search terms with the operators:
      • AND (all terms appear in the document)
      • OR (at least one of the terms appears in the document)
      • NOT (the term does not appear in the document)
      • NEAR (the terms occur close together, such as in the same sentence in the document)
    • Restrict the search to document titles (Search titles only)
    • Restrict the search to the set of documents found in the previous search (Search previous results)

A global search in the SAP Library, in particular full-text search, requires a large amount of main memory. Global full-text search should only be used if the help files are on the local hard disk.

Finding the Current Help Document in the Table of Contents

If you found the current topic by search or hyperlink, the position of the topic in the table of contents is not displayed. To find the topic in the table of contents, choose Locate in the HTML Help Viewer toolbar.

If you found the current topic by a global (full-text or keyword) search in the SAP Library, the help file containing the topic must first be found. Click on the Locate icon [image] in the topic title. Then choose Locate in the toolbar to expand the help file table of contents and find the position of the topic.

Printing Help Documents

You can print individual help documents or several documents at the same time:

  • To print the current topic, choose Print with the option Print the selected topic.
  • To print the current topic and all its subtopics, choose Print with the option Print the selected heading and all subtopics.


SAP Library
mySAP Technology Components, Release 6.20, April 2002
SAP Library

Glossary

Getting Started

© Copyright 2002 SAP AG
All rights reserved.


Broken link

Error: Broken link

You tried to follow a link that points to an unknown target document.